# Clang 7 documentation

## Index

Symbols | C | E | N

## Symbols

- -###
  - command line option
- --analyze
  - clang command line option
- --analyze-auto
  - clang command line option
- --analyzer-no-default-checks
  - clang command line option
- --analyzer-output<arg>
  - clang command line option
- --autocomplete=<arg>
  - clang command line option
- --config <arg>
  - clang command line option
- --constant-cfstrings
  - clang command line option
- --cuda-compile-host-device
  - clang command line option
- --cuda-device-only
  - clang command line option
- --cuda-gpu-arch=<arg>, --no-cuda-gpu-arch=<arg>
  - clang command line option
- --cuda-host-only
  - clang command line option
- --cuda-include-ptx=<arg>, --no-cuda-include-ptx=<arg>
  - clang command line option
- --cuda-noopt-device-debug, --no-cuda-noopt-device-debug
  - clang command line option
- --cuda-path-ignore-env
  - clang command line option
- --cuda-path=<arg>
  - clang command line option
- --dyld-prefix=<arg>, --dyld-prefix <arg>
  - clang command line option, [1]
- --gcc-toolchain=<arg>, -gcc-toolchain <arg>
  - clang command line option
- --help
  - command line option
- --help-hidden
  - clang command line option
- --hip-device-lib-path=<arg>
  - clang command line option
- --hip-device-lib=<arg>
  - clang command line option
- --hip-link
  - clang command line option
- --migrate
  - clang command line option
- --no-cuda-version-check
  - clang command line option
- --param <arg>, --param=<arg>
  - clang command line option, [1]
- --precompile
  - clang command line option
- --print-diagnostic-categories
  - clang command line option
- --ptxas-path=<arg>
  - clang command line option
- --sysroot=<arg>, --sysroot <arg>
  - clang command line option, [1]
- --system-header-prefix=<prefix>, --no-system-header-prefix=<prefix>, --system-header-prefix <arg>
  - clang command line option, [1]
- --target-help
  - clang command line option
- --target=<arg>, -target <arg>
  - clang command line option
- --verify-debug-info
  - clang command line option
- --version
  - clang command line option
- -A-<arg>
  - clang command line option
- -A<arg>, --assert <arg>, --assert=<arg>
  - clang command line option
- -a<arg>, --profile-blocks
  - clang command line option
- -all_load
  - clang command line option
- -allowable_client <arg>
  - clang command line option
- -ansi
  - command line option
- -ansi, --ansi
  - clang command line option
- -arch <architecture>
  - command line option
- -arch <arg>
  - clang command line option
- -arch_errors_fatal
  - clang1 command line option
- -arch_only <arg>
  - clang2 command line option
- -arcmt-migrate-emit-errors
  - clang command line option
- -arcmt-migrate-report-output <arg>
  - clang command line option
- -B<dir>, --prefix <arg>, --prefix=<arg>
  - clang command line option
- -bind_at_load
  - clang command line option
- -bundle
  - clang command line option
- -bundle_loader <arg>
  - clang1 command line option
- -c
  - command line option
- -C, --comments
  - clang command line option
- -c, --compile
  - clang command line option
- -CC, --comments-in-macros
  - clang command line option
- -cfguard
  - clang command line option
- -cl-denorms-are-zero
  - clang command line option
- -cl-ext
  - command line option
- -cl-fast-relaxed-math
  - clang command line option
- -cl-finite-math-only
  - clang command line option
- -cl-fp32-correctly-rounded-divide-sqrt
  - clang command line option
- -cl-kernel-arg-info
  - clang command line option
- -cl-mad-enable
  - clang command line option
- -cl-no-signed-zeros
  - clang command line option
- -cl-opt-disable
  - clang command line option
- -cl-single-precision-constant
  - clang command line option
- -cl-std=<arg>
  - clang command line option
- -cl-strict-aliasing
  - clang command line option
- -cl-uniform-work-group-size
  - clang command line option
- -cl-unsafe-math-optimizations
  - clang command line option
- -client_name<arg>
  - clang command line option
- -compatibility_version<arg>
  - clang command line option
- -coverage, --coverage
  - clang command line option
- -cpp
  - clang command line option
- -current_version<arg>
  - clang command line option
- -cxx-isystem<directory>
  - clang command line option
- -d
  - clang command line option
- -d<arg>
  - clang1 command line option
- -D<macro>=<value>, --define-macro <arg>, --define-macro=<arg>
  - clang command line option
- -D<macroname>=<value>
  - command line option
- -dA
  - clang command line option
- -dD
  - clang command line option
- -dead_strip
  - clang command line option
- -dependency-dot <arg>
  - clang command line option
- -dependency-file <arg>
  - clang command line option
- -dI
  - clang command line option
- -dM
  - clang command line option
- -dumpmachine
  - clang command line option
- -dumpversion
  - clang command line option
- -dylib_file <arg>
  - clang command line option
- -dylinker
  - clang command line option
- -dylinker_install_name<arg>
  - clang1 command line option
- -dynamic
  - clang command line option
- -dynamiclib
  - clang command line option
- -E
  - command line option
- -E, --preprocess
  - clang command line option
- -e<arg>, --entry
  - clang command line option
- -emit-ast
  - clang command line option
- -emit-llvm
  - clang command line option
- -exported_symbols_list <arg>
  - clang command line option
- -F<arg>
  - clang command line option
- -F<directory>
  - command line option
- -f[no-]strict-float-cast-overflow
  - command line option
- -faccess-control, -fno-access-control
  - clang command line option
- -faddrsig, -fno-addrsig
  - clang command line option
  - command line option
- -faggressive-function-elimination, -fno-aggressive-function-elimination
  - clang command line option
- -falign-commons, -fno-align-commons
  - clang command line option
- -falign-functions, -fno-align-functions
  - clang command line option
- -falign-functions=<arg>
  - clang1 command line option
- -faligned-allocation, -faligned-new, -fno-aligned-allocation
  - clang1 command line option
- -faligned-new=<arg>
  - clang command line option
- -fall-intrinsics, -fno-all-intrinsics
  - clang command line option
- -fallow-editor-placeholders, -fno-allow-editor-placeholders
  - clang command line option
- -fallow-unsupported
  - clang command line option
- -faltivec, -fno-altivec
  - clang command line option
- -fansi-escape-codes
  - clang command line option
- -fapple-kext, -findirect-virtual-calls, -fterminated-vtables
  - clang command line option
- -fapple-pragma-pack, -fno-apple-pragma-pack
  - clang command line option
- -fapplication-extension, -fno-application-extension
  - clang command line option
- -fasm, -fno-asm
  - clang command line option
- -fasm-blocks, -fno-asm-blocks
  - clang command line option
- -fassociative-math, -fno-associative-math
  - clang command line option
- -fassume-sane-operator-new, -fno-assume-sane-operator-new
  - clang command line option
- -fast
  - clang command line option
- -fastcp
  - clang command line option
- -fastf
  - clang command line option
- -fasynchronous-unwind-tables, -fno-asynchronous-unwind-tables
  - clang command line option
- -fautolink, -fno-autolink
  - clang command line option
- -fautomatic, -fno-automatic
  - clang command line option
- -fbackslash, -fno-backslash
  - clang command line option
- -fbacktrace, -fno-backtrace
  - clang command line option
- -fblas-matmul-limit=<arg>
  - clang command line option
- -fblocks
  - command line option
- -fblocks, -fno-blocks
  - clang command line option
- -fbootclasspath=<arg>, --bootclasspath <arg>, --bootclasspath=<arg>
  - clang command line option
- -fborland-extensions
  - command line option
- -fborland-extensions, -fno-borland-extensions
  - clang command line option
- -fbounds-check, -fno-bounds-check
  - clang command line option
- -fbracket-depth=<arg>
  - clang command line option
- -fbracket-depth=N
  - command line option
- -fbuild-session-file=<file>
  - clang command line option
- -fbuild-session-timestamp=<time since Epoch in seconds>
  - clang command line option
- -fbuiltin, -fno-builtin
  - clang command line option
- -fbuiltin-module-map
  - clang command line option
- -fcaret-diagnostics, -fno-caret-diagnostics
  - clang command line option
- -fcf-protection=<arg>, -fcf-protection (equivalent to -fcf-protection=full)
  - clang command line option, [1]
- -fchar8_t, -fno-char8_t
  - clang command line option
- -fcheck-array-temporaries, -fno-check-array-temporaries
  - clang command line option
- -fcheck=<arg>
  - clang command line option
- -fclang-abi-compat=<version>
  - clang command line option
- -fclasspath=<arg>, --CLASSPATH <arg>, --CLASSPATH=<arg>, --classpath <arg>, --classpath=<arg>
  - clang command line option
- -fcoarray=<arg>
  - clang command line option
- -fcolor-diagnostics, -fno-color-diagnostics
  - clang command line option
- -fcomment-block-commands=<arg>,<arg2>...
  - clang command line option
- -fcomment-block-commands=[commands]
  - command line option
- -fcommon, -fno-common
  - clang command line option
  - command line option
- -fcompile-resource=<arg>, --resource <arg>, --resource=<arg>
  - clang command line option
- -fcomplete-member-pointers, -fno-complete-member-pointers
  - clang command line option
- -fconstant-cfstrings, -fno-constant-cfstrings
  - clang command line option
- -fconstant-string-class=<arg>
  - clang command line option
- -fconstexpr-backtrace-limit=<arg>
  - clang command line option
- -fconstexpr-depth=<arg>
  - clang command line option
- -fconstexpr-depth=N
  - command line option
- -fconstexpr-steps=<arg>
  - clang command line option
- -fconstexpr-steps=N
  - command line option
- -fconvert=<arg>
  - clang command line option
- -fcoroutines-ts, -fno-coroutines-ts
  - clang command line option
- -fcoverage-mapping, -fno-coverage-mapping
  - clang command line option
- -fcrash-diagnostics-dir=<arg>
  - clang command line option
- -fcray-pointer, -fno-cray-pointer
  - clang command line option
- -fcreate-profile
  - clang command line option
- -fcuda-approx-transcendentals, -fno-cuda-approx-transcendentals
  - clang command line option
- -fcuda-flush-denormals-to-zero, -fno-cuda-flush-denormals-to-zero
  - clang command line option
- -fcuda-rdc, -fno-cuda-rdc
  - clang command line option
- -fcuda-short-ptr, -fno-cuda-short-ptr
  - clang command line option
- -fcxx-exceptions, -fno-cxx-exceptions
  - clang command line option
- -fcxx-modules, -fno-cxx-modules
  - clang command line option
- -fd-lines-as-code, -fno-d-lines-as-code
  - clang command line option
- -fd-lines-as-comments, -fno-d-lines-as-comments
  - clang command line option
- -fdata-sections, -fno-data-sections
  - clang command line option
- -fdebug-info-for-profiling, -fno-debug-info-for-profiling
  - clang command line option
- -fdebug-macro
  - command line option
- -fdebug-macro, -fno-debug-macro
  - clang command line option
- -fdebug-pass-arguments
  - clang command line option
- -fdebug-pass-structure
  - clang command line option
- -fdebug-prefix-map=<arg>
  - clang command line option
- -fdebug-types-section, -fno-debug-types-section
  - clang command line option
- -fdeclspec, -fno-declspec
  - clang command line option
- -fdefault-double-8, -fno-default-double-8
  - clang command line option
- -fdefault-integer-8, -fno-default-integer-8
  - clang command line option
- -fdefault-real-8, -fno-default-real-8
  - clang command line option
- -fdelayed-template-parsing, -fno-delayed-template-parsing
  - clang command line option
- -fdelete-null-pointer-checks, -fno-delete-null-pointer-checks
  - clang command line option
- -fdenormal-fp-math=<arg>
  - clang command line option
- -fdenormal-fp-math=[values]
  - command line option
- -fdepfile-entry=<arg>
  - clang command line option
- -fdiagnostics-absolute-paths
  - clang command line option
- -fdiagnostics-color, -fno-diagnostics-color
  - clang command line option
- -fdiagnostics-color=<arg>
  - clang1 command line option
- -fdiagnostics-fixit-info, -fno-diagnostics-fixit-info
  - clang command line option
- -fdiagnostics-format=<arg>
  - clang command line option
- -fdiagnostics-format=clang/msvc/vi
  - command line option
- -fdiagnostics-hotness-threshold=<number>
  - clang command line option
- -fdiagnostics-parseable-fixits
  - clang command line option
  - command line option
- -fdiagnostics-print-source-range-info
  - clang command line option
- -fdiagnostics-show-category=<arg>
  - clang command line option
- -fdiagnostics-show-category=none/id/name
  - command line option
- -fdiagnostics-show-hotness, -fno-diagnostics-show-hotness
  - clang command line option
- -fdiagnostics-show-note-include-stack, -fno-diagnostics-show-note-include-stack
  - clang command line option
- -fdiagnostics-show-option, -fno-diagnostics-show-option
  - clang command line option
- -fdiagnostics-show-template-tree
  - clang command line option
  - command line option
- -fdigraphs, -fno-digraphs
  - clang command line option
- -fdiscard-value-names
  - command line option
- -fdiscard-value-names, -fno-discard-value-names
  - clang command line option
- -fdollar-ok, -fno-dollar-ok
  - clang command line option
- -fdollars-in-identifiers, -fno-dollars-in-identifiers
  - clang command line option
- -fdouble-square-bracket-attributes, -fno-double-square-bracket-attributes
  - clang command line option
- -fdump-fortran-optimized, -fno-dump-fortran-optimized
  - clang command line option
- -fdump-fortran-original, -fno-dump-fortran-original
  - clang command line option
- -fdump-parse-tree, -fno-dump-parse-tree
  - clang command line option
- -fdwarf-directory-asm, -fno-dwarf-directory-asm
  - clang command line option
- -fdwarf-exceptions
  - clang command line option
- -felide-constructors, -fno-elide-constructors
  - clang command line option
- -feliminate-unused-debug-symbols, -fno-eliminate-unused-debug-symbols
  - clang command line option
- -fembed-bitcode=<option>, -fembed-bitcode (equivalent to -fembed-bitcode=all), -fembed-bitcode-marker (equivalent to -fembed-bitcode=marker)
  - clang command line option, [1]
- -femit-all-decls
  - clang command line option
- -femulated-tls
  - command line option
- -femulated-tls, -fno-emulated-tls
  - clang command line option
- -fencoding=<arg>, --encoding <arg>, --encoding=<arg>
  - clang command line option
- -ferror-limit=123
  - command line option
- -ferror-limit=<arg>
  - clang command line option
- -fescaping-block-tail-calls, -fno-escaping-block-tail-calls
  - clang command line option
- -fexceptions
  - command line option
- -fexceptions, -fno-exceptions
  - clang command line option
- -fexec-charset=<arg>
  - clang command line option
- -fexperimental-isel, -fno-experimental-isel
  - clang command line option
- -fexperimental-new-pass-manager, -fno-experimental-new-pass-manager
  - clang command line option
- -fextdirs=<arg>, --extdirs <arg>, --extdirs=<arg>
  - clang command line option
- -fexternal-blas, -fno-external-blas
  - clang command line option
- -ff2c, -fno-f2c
  - clang command line option
- -ffake-address-space-map
  - command line option
- -ffast-math
  - command line option
- -ffast-math, -fno-fast-math
  - clang command line option
- -ffine-grained-bitfield-accesses, -fno-fine-grained-bitfield-accesses
  - clang command line option
- -ffinite-math-only, -fno-finite-math-only
  - clang command line option
- -ffixed-form, -fno-fixed-form
  - clang command line option
- -ffixed-line-length-<arg>
  - clang command line option
- -ffixed-point, -fno-fixed-point
  - clang command line option
- -ffixed-r19
  - clang command line option
- -ffixed-r9
  - clang command line option
- -ffixed-x18
  - clang command line option
- -ffixed-x20
  - clang command line option
- -ffor-scope, -fno-for-scope
  - clang command line option
- -fforce-emit-vtables
  - command line option
- -fforce-emit-vtables, -fno-force-emit-vtables
  - clang command line option
- -fforce-enable-int128, -fno-force-enable-int128
  - clang command line option
- -ffp-contract=<arg>
  - clang command line option
- -ffpe-trap=<arg>
  - clang command line option
- -ffree-form, -fno-free-form
  - clang command line option
- -ffree-line-length-<arg>
  - clang command line option
- -ffreestanding
  - clang command line option
  - command line option
- -ffrontend-optimize, -fno-frontend-optimize
  - clang command line option
- -ffunction-sections, -fno-function-sections
  - clang command line option
- -fgnu-inline-asm, -fno-gnu-inline-asm
  - clang command line option
- -fgnu-keywords, -fno-gnu-keywords
  - clang command line option
- -fgnu-runtime
  - clang command line option
- -fgnu89-inline, -fno-gnu89-inline
  - clang command line option
- -fheinous-gnu-extensions
  - clang command line option
- -fhonor-infinities, -fhonor-infinites, -fno-honor-infinities
  - clang command line option
- -fhonor-nans, -fno-honor-nans
  - clang command line option
- -fhosted
  - clang command line option
- -filelist <arg>
  - clang command line option
- -fimplicit-module-maps, -fmodule-maps, -fno-implicit-module-maps
  - clang command line option
- -fimplicit-modules, -fno-implicit-modules
  - clang command line option
- -fimplicit-none, -fno-implicit-none
  - clang command line option
- -finclude-default-header
  - command line option
- -finit-character=<arg>
  - clang command line option
- -finit-integer=<arg>
  - clang command line option
- -finit-local-zero, -fno-init-local-zero
  - clang command line option
- -finit-logical=<arg>
  - clang command line option
- -finit-real=<arg>
  - clang command line option
- -finline-functions, -fno-inline-functions
  - clang command line option
- -finline-hint-functions
  - clang command line option
- -finput-charset=<arg>
  - clang command line option
- -finstrument-function-entry-bare
  - clang command line option
- -finstrument-functions
  - clang command line option
- -finstrument-functions-after-inlining
  - clang command line option
- -finteger-4-integer-8, -fno-integer-4-integer-8
  - clang command line option
- -fintegrated-as, -fno-integrated-as, -integrated-as
  - clang command line option
- -fintrinsic-modules-path, -fno-intrinsic-modules-path
  - clang command line option
- -fjump-tables, -fno-jump-tables
  - clang command line option
- -flat_namespace
  - clang command line option
- -flax-vector-conversions
  - command line option
- -flax-vector-conversions, -fno-lax-vector-conversions
  - clang command line option
- -flimited-precision=<arg>
  - clang command line option
- -flto, -flto=full, -flto=thin, -emit-llvm
  - command line option, [1], [2]
- -flto, -fno-lto
  - clang command line option
- -flto-jobs=<arg>
  - clang command line option
- -flto=<arg>
  - clang1 command line option
- -fmacro-backtrace-limit=<arg>
  - clang command line option
- -fmath-errno
  - command line option
- -fmath-errno, -fno-math-errno
  - clang command line option
- -fmax-array-constructor=<arg>
  - clang command line option
- -fmax-errors=<arg>
  - clang command line option
- -fmax-identifier-length, -fno-max-identifier-length
  - clang command line option
- -fmax-stack-var-size=<arg>
  - clang command line option
- -fmax-subrecord-length=<arg>
  - clang command line option
- -fmax-type-align=<arg>
  - clang command line option
- -fmerge-all-constants, -fno-merge-all-constants
  - clang command line option
- -fmessage-length=<arg>
  - clang command line option
- -fmodule-file-deps, -fno-module-file-deps
  - clang command line option
- -fmodule-file=[<name>=]<file>
  - clang command line option
- -fmodule-map-file=<file>
  - clang command line option
- -fmodule-name=<name>, -fmodule-implementation-of <arg>, -fmodule-name <arg>
  - clang command line option, [1]
- -fmodule-private, -fno-module-private
  - clang command line option
- -fmodules, -fno-modules
  - clang command line option
- -fmodules-cache-path=<directory>
  - clang command line option
- -fmodules-decluse, -fno-modules-decluse
  - clang command line option
- -fmodules-disable-diagnostic-validation
  - clang command line option
- -fmodules-ignore-macro=<arg>
  - clang command line option
- -fmodules-prune-after=<seconds>
  - clang command line option
- -fmodules-prune-interval=<seconds>
  - clang command line option
- -fmodules-search-all, -fno-modules-search-all
  - clang command line option
- -fmodules-strict-decluse
  - clang command line option
- -fmodules-ts
  - clang command line option
- -fmodules-user-build-path <directory>
  - clang command line option
- -fmodules-validate-once-per-build-session
  - clang command line option
- -fmodules-validate-system-headers, -fno-modules-validate-system-headers
  - clang command line option
- -fms-compatibility, -fno-ms-compatibility
  - clang command line option
- -fms-compatibility-version=<arg>
  - clang command line option
- -fms-extensions
  - command line option
- -fms-extensions, -fno-ms-extensions
  - clang command line option
- -fms-memptr-rep=<arg>
  - clang command line option
- -fms-volatile<arg>
  - clang command line option
- -fmsc-version=
  - command line option
- -fmsc-version=<arg>
  - clang command line option
- -fmudflap
  - clang command line option
- -fmudflapth
  - clang command line option
- -fnested-functions
  - clang command line option
- -fnew-alignment=<align>, -fnew-alignment <arg>
  - clang command line option, [1]
- -fnext-runtime
  - clang command line option
- -fno-assume-sane-operator-new
  - command line option
- -fno-builtin
  - command line option
- -fno-builtin-<arg>
  - clang command line option
- -fno-crash-diagnostics
  - clang command line option
  - command line option
- -fno-debug-macro
  - command line option
- -fno-discard-value-names
  - command line option
- -fno-elide-type
  - clang command line option
  - command line option
- -fno-max-type-align
  - clang command line option
- -fno-operator-names
  - clang command line option
- -fno-rtti-data
  - clang command line option
- -fno-sanitize-blacklist
  - clang command line option
  - command line option
- -fno-standalone-debug
  - command line option
- -fno-strict-modules-decluse
  - clang command line option
- -fno-working-directory
  - clang command line option
- -fnoxray-link-deps
  - clang command line option
- -fobjc-abi-version=<arg>
  - clang command line option
- -fobjc-abi-version=version
  - command line option
- -fobjc-arc, -fno-objc-arc
  - clang command line option
- -fobjc-arc-exceptions, -fno-objc-arc-exceptions
  - clang command line option
- -fobjc-exceptions, -fno-objc-exceptions
  - clang command line option
- -fobjc-infer-related-result-type, -fno-objc-infer-related-result-type
  - clang command line option
- -fobjc-legacy-dispatch, -fno-objc-legacy-dispatch
  - clang command line option
- -fobjc-link-runtime
  - clang command line option
- -fobjc-nonfragile-abi, -fno-objc-nonfragile-abi
  - clang command line option
  - command line option
- -fobjc-nonfragile-abi-version=<arg>
  - clang command line option
- -fobjc-nonfragile-abi-version=<version>
  - command line option
- -fobjc-runtime=<arg>
  - clang command line option
- -fobjc-sender-dependent-dispatch
  - clang command line option
- -fobjc-weak, -fno-objc-weak
  - clang command line option
- -fomit-frame-pointer, -fno-omit-frame-pointer
  - clang command line option
- -fopenmp, -fno-openmp
  - clang command line option
- -fopenmp-simd, -fno-openmp-simd
  - clang command line option
- -fopenmp-targets=<arg1>,<arg2>...
  - clang command line option
- -fopenmp-use-tls
  - command line option
- -fopenmp-version=<arg>
  - clang command line option
- -fopenmp=<arg>
  - clang1 command line option
- -foperator-arrow-depth=<arg>
  - clang command line option
- -foperator-arrow-depth=N
  - command line option
- -foptimization-record-file=<arg>
  - clang command line option
- -foptimize-sibling-calls, -fno-optimize-sibling-calls
  - clang command line option
- -force_cpusubtype_ALL
  - clang command line option
- -force_flat_namespace
  - clang1 command line option
- -force_load <arg>
  - clang2 command line option
- -foutput-class-dir=<arg>, --output-class-directory <arg>, --output-class-directory=<arg>
  - clang command line option
- -fpack-derived, -fno-pack-derived
  - clang command line option
- -fpack-struct, -fno-pack-struct
  - clang command line option
- -fpack-struct=<arg>
  - clang1 command line option
- -fparse-all-comments
  - clang command line option
  - command line option
- -fpascal-strings
  - command line option
- -fpascal-strings, -fno-pascal-strings, -mpascal-strings
  - clang command line option
- -fpcc-struct-return
  - clang command line option
- -fpch-preprocess
  - clang command line option
- -fPIC, -fno-PIC
  - clang command line option
- -fpic, -fno-pic
  - clang command line option
- -fPIE, -fno-PIE
  - clang command line option
- -fpie, -fno-pie
  - clang command line option
- -fplt, -fno-plt
  - clang command line option
- -fplugin=<dsopath>
  - clang command line option
- -fprebuilt-module-path=<directory>
  - clang command line option
- -fpreserve-as-comments, -fno-preserve-as-comments
  - clang command line option
- -fprofile-arcs, -fno-profile-arcs
  - clang command line option
- -fprofile-dir=<arg>
  - clang command line option
- -fprofile-generate, -fno-profile-generate
  - clang command line option
- -fprofile-generate=<directory>
  - clang1 command line option
- -fprofile-generate[=<dirname>]
  - command line option
- -fprofile-instr-generate, -fno-profile-instr-generate
  - clang command line option
- -fprofile-instr-generate=<file>
  - clang1 command line option
- -fprofile-instr-use, -fno-profile-instr-use, -fprofile-use
  - clang command line option
- -fprofile-instr-use=<arg>
  - clang1 command line option
- -fprofile-sample-accurate, -fauto-profile-accurate, -fno-profile-sample-accurate
  - clang command line option
- -fprofile-sample-use, -fauto-profile, -fno-profile-sample-use
  - clang command line option
- -fprofile-sample-use=<arg>, -fauto-profile=<arg>
  - clang1 command line option
- -fprofile-use=<pathname>
  - clang1 command line option
- -fprofile-use[=<pathname>]
  - command line option
- -fprotect-parens, -fno-protect-parens
  - clang command line option
- -framework <arg>
  - clang command line option
- -frange-check, -fno-range-check
  - clang command line option
- -freal-4-real-10, -fno-real-4-real-10
  - clang command line option
- -freal-4-real-16, -fno-real-4-real-16
  - clang command line option
- -freal-4-real-8, -fno-real-4-real-8
  - clang command line option
- -freal-8-real-10, -fno-real-8-real-10
  - clang command line option
- -freal-8-real-16, -fno-real-8-real-16
  - clang command line option
- -freal-8-real-4, -fno-real-8-real-4
  - clang command line option
- -frealloc-lhs, -fno-realloc-lhs
  - clang command line option
- -freciprocal-math, -fno-reciprocal-math
  - clang command line option
- -frecord-marker=<arg>
  - clang command line option
- -frecursive, -fno-recursive
  - clang command line option
- -freg-struct-return
  - clang command line option
- -fregister-global-dtors-with-atexit, -fno-register-global-dtors-with-atexit
  - clang command line option
- -frelaxed-template-template-args, -fno-relaxed-template-template-args
  - clang command line option
- -frepack-arrays, -fno-repack-arrays
  - clang command line option
- -freroll-loops, -fno-reroll-loops
  - clang command line option
- -fretain-comments-from-system-headers
  - clang command line option
- -frewrite-imports, -fno-rewrite-imports
  - clang command line option
- -frewrite-includes, -fno-rewrite-includes
  - clang command line option
- -frewrite-map-file <arg>
  - clang command line option
- -frewrite-map-file=<arg>
  - clang1 command line option
- -fropi, -fno-ropi
  - clang command line option
- -frtlib-add-rpath, -fno-rtlib-add-rpath
  - clang command line option
- -frtti, -fno-rtti
  - clang command line option
- -frwpi, -fno-rwpi
  - clang command line option
- -fsanitize-address-field-padding=<arg>
  - clang command line option
- -fsanitize-address-globals-dead-stripping
  - clang command line option
- -fsanitize-address-poison-class-member-array-new-cookie, -fno-sanitize-address-poison-class-member-array-new-cookie
  - clang command line option
- -fsanitize-address-use-after-scope, -fno-sanitize-address-use-after-scope
  - clang command line option
- -fsanitize-blacklist=/path/to/blacklist/file
  - command line option
- -fsanitize-blacklist=<arg>
  - clang command line option
- -fsanitize-cfi-cross-dso
  - command line option
- -fsanitize-cfi-cross-dso, -fno-sanitize-cfi-cross-dso
  - clang command line option
- -fsanitize-cfi-icall-generalize-pointers
  - clang command line option
  - command line option
- -fsanitize-coverage=<arg1>,<arg2>..., -fno-sanitize-coverage=<arg1>,<arg2>...
  - clang command line option
- -fsanitize-link-c++-runtime
  - clang command line option
- -fsanitize-memory-track-origins, -fno-sanitize-memory-track-origins
  - clang command line option
- -fsanitize-memory-track-origins=<arg>
  - clang1 command line option
- -fsanitize-memory-use-after-dtor, -fno-sanitize-memory-use-after-dtor
  - clang command line option
- -fsanitize-minimal-runtime, -fno-sanitize-minimal-runtime
  - clang command line option
- -fsanitize-recover, -fno-sanitize-recover
  - clang command line option
- -fsanitize-recover=<arg1>,<arg2>..., -fno-sanitize-recover=<arg1>,<arg2>...
  - clang1 command line option
- -fsanitize-stats, -fno-sanitize-stats
  - clang command line option
- -fsanitize-thread-atomics, -fno-sanitize-thread-atomics
  - clang command line option
- -fsanitize-thread-func-entry-exit, -fno-sanitize-thread-func-entry-exit
  - clang command line option
- -fsanitize-thread-memory-access, -fno-sanitize-thread-memory-access
  - clang command line option
- -fsanitize-trap=<arg1>,<arg2>..., -fno-sanitize-trap=<arg1>,<arg2>...
  - clang command line option
- -fsanitize-undefined-strip-path-components=<number>
  - clang command line option
- -fsanitize-undefined-trap-on-error
  - command line option
- -fsanitize-undefined-trap-on-error, -fno-sanitize-undefined-trap-on-error
  - clang command line option
- -fsanitize=<check>,<arg2>..., -fno-sanitize=<arg1>,<arg2>...
  - clang command line option
- -fsave-optimization-record, -fno-save-optimization-record
  - clang command line option
- -fsecond-underscore, -fno-second-underscore
  - clang command line option
- -fseh-exceptions
  - clang command line option
- -fshort-enums, -fno-short-enums
  - clang command line option
- -fshort-wchar, -fno-short-wchar
  - clang command line option
- -fshow-column, -fno-show-column
  - clang command line option
- -fshow-column, -fshow-source-location, -fcaret-diagnostics, -fdiagnostics-fixit-info, -fdiagnostics-parseable-fixits, -fdiagnostics-print-source-range-info, -fprint-source-range-info, -fdiagnostics-show-option, -fmessage-length
  - command line option
- -fshow-overloads=<arg>
  - clang command line option
- -fshow-source-location, -fno-show-source-location
  - clang command line option
- -fsign-zero, -fno-sign-zero
  - clang command line option
- -fsignaling-math, -fno-signaling-math
  - clang command line option
- -fsigned-bitfields
  - clang command line option
- -fsigned-char, -fno-signed-char, --signed-char
  - clang command line option
- -fsigned-zeros, -fno-signed-zeros
  - clang command line option
- -fsized-deallocation, -fno-sized-deallocation
  - clang command line option
- -fsjlj-exceptions
  - clang command line option
- -fslp-vectorize, -fno-slp-vectorize, -ftree-slp-vectorize
  - clang command line option
- -fspell-checking, -fno-spell-checking
  - clang command line option
- -fspell-checking-limit=<arg>
  - clang command line option
- -fsplit-dwarf-inlining, -fno-split-dwarf-inlining
  - clang command line option
- -fsplit-stack
  - clang command line option
- -fstack-arrays, -fno-stack-arrays
  - clang command line option
- -fstack-protector, -fno-stack-protector
  - clang command line option
- -fstack-protector-all
  - clang command line option
- -fstack-protector-strong
  - clang command line option
- -fstack-size-section, -fno-stack-size-section
  - clang command line option
- -fstandalone-debug
  - command line option
- -fstandalone-debug -fno-standalone-debug
  - command line option
- -fstandalone-debug, -fno-limit-debug-info, -fno-standalone-debug
  - clang command line option
- -fstrict-aliasing, -fno-strict-aliasing
  - clang command line option
- -fstrict-enums, -fno-strict-enums
  - clang command line option
- -fstrict-float-cast-overflow, -fno-strict-float-cast-overflow
  - clang command line option
- -fstrict-overflow, -fno-strict-overflow
  - clang command line option
- -fstrict-return, -fno-strict-return
  - clang command line option
- -fstrict-vtable-pointers
  - command line option
- -fstrict-vtable-pointers, -fno-strict-vtable-pointers
  - clang command line option
- -fstruct-path-tbaa, -fno-struct-path-tbaa
  - clang command line option
- -fsyntax-only
  - clang command line option
  - command line option
- -ftabstop=<arg>
  - clang command line option
- -ftemplate-backtrace-limit=123
  - command line option
- -ftemplate-backtrace-limit=<arg>
  - clang command line option
- -ftemplate-depth-<arg>
  - clang command line option
- -ftemplate-depth=<arg>
  - clang command line option
- -ftemplate-depth=N
  - command line option
- -ftest-coverage
  - clang command line option
- -fthinlto-index=<arg>
  - clang command line option
- -fthreadsafe-statics, -fno-threadsafe-statics
  - clang command line option
- -ftime-report
  - clang command line option
  - command line option
- -ftls-model=<arg>
  - clang command line option
- -ftls-model=<model>
  - command line option
- -ftls-model=[model]
  - command line option
- -ftrap-function=<arg>
  - clang command line option
- -ftrap-function=[name]
  - command line option
- -ftrapping-math, -fno-trapping-math
  - clang command line option
- -ftrapv
  - clang command line option
  - command line option
- -ftrapv-handler <arg>
  - clang command line option
- -ftrapv-handler=<function name>
  - clang1 command line option
- -ftrigraphs, -fno-trigraphs, -trigraphs, --trigraphs
  - clang command line option
- -funderscoring, -fno-underscoring
  - clang command line option
- -funique-section-names, -fno-unique-section-names
  - clang command line option
- -funit-at-a-time, -fno-unit-at-a-time
  - clang command line option
- -funroll-loops, -fno-unroll-loops
  - clang command line option
- -funsafe-math-optimizations, -fno-unsafe-math-optimizations
  - clang command line option

- -funsigned-bitfields
  - clang command line option
- -funsigned-char, -fno-unsigned-char, --unsigned-char
  - clang command line option
- -funwind-tables, -fno-unwind-tables
  - clang command line option
- -fuse-cxa-atexit, -fno-use-cxa-atexit
  - clang command line option
- -fuse-init-array, -fno-use-init-array
  - clang command line option
- -fuse-ld=<arg>
  - clang command line option
- -fuse-line-directives, -fno-use-line-directives
  - clang command line option
- -fveclib=<arg>
  - clang command line option
- -fvectorize, -fno-vectorize, -ftree-vectorize
  - clang command line option
- -fverbose-asm, -fno-verbose-asm
  - clang command line option
- -fvisibility
  - command line option
- -fvisibility-inlines-hidden
  - clang command line option
- -fvisibility-ms-compat
  - clang command line option
- -fvisibility=<arg>
  - clang command line option
- -fwhole-file, -fno-whole-file
  - clang command line option
- -fwhole-program-vtables
  - command line option
- -fwhole-program-vtables, -fno-whole-program-vtables
  - clang command line option
- -fwrapv, -fno-wrapv
  - clang command line option
- -fwritable-strings
  - clang command line option
  - command line option
- -fxray-always-emit-customevents, -fno-xray-always-emit-customevents
  - clang command line option
- -fxray-always-emit-typedevents, -fno-xray-always-emit-typedevents
  - clang command line option
- -fxray-always-instrument=<arg>
  - clang command line option
- -fxray-attr-list=<arg>
  - clang command line option
- -fxray-instruction-threshold<arg>
  - clang command line option
- -fxray-instruction-threshold=<arg>
  - clang1 command line option
- -fxray-instrument, -fno-xray-instrument
  - clang command line option
- -fxray-instrumentation-bundle=<arg>
  - clang command line option
- -fxray-link-deps
  - clang command line option
- -fxray-modes=<arg>
  - clang command line option
- -fxray-never-instrument=<arg>
  - clang command line option
- -fzero-initialized-in-bss, -fno-zero-initialized-in-bss
  - clang command line option
- -fzvector, -fno-zvector, -mzvector
  - clang command line option
- -g
  - command line option
- -g, --debug, --debug=<arg>
  - clang command line option
- -g, -gline-tables-only, -gmodules
  - command line option
- -g0
  - clang command line option
  - command line option
- -g2
  - clang command line option
- -g3
  - clang command line option
- -G<size>, -G=<arg>, -msmall-data-threshold=<arg>
  - clang command line option
- -gcodeview
  - clang command line option
- -gcolumn-info, -gno-column-info
  - clang command line option
- -gdwarf-2
  - clang command line option
- -gdwarf-3
  - clang command line option
- -gdwarf-4, -gdwarf
  - clang command line option
- -gdwarf-5
  - clang command line option
- -gdwarf-aranges
  - clang command line option
- -gembed-source, -gno-embed-source
  - clang command line option
- -gen-reproducer
  - command line option
- -gfull
  - clang command line option
- -ggdb
  - clang command line option
- -ggdb, -glldb, -gsce
  - command line option
- -ggdb0
  - clang command line option
- -ggdb1
  - clang command line option
- -ggdb2
  - clang command line option
- -ggdb3
  - clang command line option
- -ggnu-pubnames, -gno-gnu-pubnames
  - clang command line option
- -gline-tables-only
  - command line option
- -gline-tables-only, -g1, -gmlt
  - clang command line option
- -glldb
  - clang command line option
- -gmodules
  - clang command line option
- -grecord-gcc-switches, -gno-record-gcc-switches
  - clang command line option
- -gsce
  - clang command line option
- -gsplit-dwarf
  - clang command line option
- -gstrict-dwarf, -gno-strict-dwarf
  - clang command line option
- -gused
  - clang command line option
- -gz
  - clang command line option
- -gz=<arg>
  - clang1 command line option
- -H, --trace-includes
  - clang command line option
- -headerpad_max_install_names<arg>
  - clang command line option
- -help, --help
  - clang command line option
- -I-, --include-barrier
  - clang command line option
- -I<dir>, --include-directory <arg>, --include-directory=<arg>
  - clang command line option
- -I<directory>
  - command line option
- -idirafter<arg>, --include-directory-after <arg>, --include-directory-after=<arg>
  - clang command line option
- -iframework<arg>
  - clang command line option
- -iframeworkwithsysroot<directory>
  - clang command line option
- -imacros<file>, --imacros<file>, --imacros=<arg>
  - clang command line option
- -image_base <arg>
  - clang command line option
- -imultilib <arg>
  - clang command line option
- -include <filename>
  - command line option
- -include-pch <file>
  - clang command line option
- -include<file>, --include<file>, --include=<arg>
  - clang command line option
- -index-header-map
  - clang command line option
- -init <arg>
  - clang command line option
- -install_name <arg>
  - clang command line option
- -integrated-as, -no-integrated-as
  - command line option
- -iprefix<dir>, --include-prefix <arg>, --include-prefix=<arg>
  - clang command line option
- -iquote<directory>
  - clang command line option
- -isysroot<dir>
  - clang command line option
- -isystem-after<directory>
  - clang command line option
- -isystem<directory>
  - clang command line option
- -ivfsoverlay<arg>
  - clang command line option
- -iwithprefix<dir>, --include-with-prefix <arg>, --include-with-prefix-after <arg>, --include-with-prefix-after=<arg>, --include-with-prefix=<arg>
  - clang command line option
- -iwithprefixbefore<dir>, --include-with-prefix-before <arg>, --include-with-prefix-before=<arg>
  - clang command line option
- -iwithsysroot<directory>
  - clang command line option
- -J<arg>
  - clang command line option
- -keep_private_externs
  - clang command line option
- -l<arg>
  - clang command line option
- -L<dir>, --library-directory <arg>, --library-directory=<arg>
  - clang command line option
- -lazy_framework <arg>
  - clang command line option
- -lazy_library <arg>
  - clang1 command line option
- -M, --dependencies
  - clang command line option
- -m16
  - clang command line option
- -m32
  - clang command line option
- -m3dnow, -mno-3dnow
  - clang command line option
- -m3dnowa, -mno-3dnowa
  - clang command line option
- -m64
  - clang command line option
- -m[no-]crc
  - command line option
- -mabi=<arg>
  - clang command line option
- -mabicalls, -mno-abicalls
  - clang command line option
- -mabs=<arg>
  - clang command line option
- -Mach
  - clang command line option
- -madx, -mno-adx
  - clang command line option
- -maes, -mno-aes
  - clang command line option
- -malign-double
  - clang command line option
- -maltivec, -mno-altivec
  - clang command line option
- -march=<arg>
  - clang command line option
- -march=<cpu>
  - command line option
- -masm=<arg>
  - clang command line option
- -mavx, -mno-avx
  - clang command line option
- -mavx2, -mno-avx2
  - clang command line option
- -mavx512bitalg, -mno-avx512bitalg
  - clang command line option
- -mavx512bw, -mno-avx512bw
  - clang command line option
- -mavx512cd, -mno-avx512cd
  - clang command line option
- -mavx512dq, -mno-avx512dq
  - clang command line option
- -mavx512er, -mno-avx512er
  - clang command line option
- -mavx512f, -mno-avx512f
  - clang command line option
- -mavx512ifma, -mno-avx512ifma
  - clang command line option
- -mavx512pf, -mno-avx512pf
  - clang command line option
- -mavx512vbmi, -mno-avx512vbmi
  - clang command line option
- -mavx512vbmi2, -mno-avx512vbmi2
  - clang command line option
- -mavx512vl, -mno-avx512vl
  - clang command line option
- -mavx512vnni, -mno-avx512vnni
  - clang command line option
- -mavx512vpopcntdq, -mno-avx512vpopcntdq
  - clang command line option
- -mbackchain, -mno-backchain
  - clang command line option
- -mbig-endian, -EB
  - clang command line option
- -mbmi, -mno-bmi
  - clang command line option
- -mbmi2, -mno-bmi2
  - clang command line option
- -mcheck-zero-division, -mno-check-zero-division
  - clang command line option
- -mcldemote, -mno-cldemote
  - clang command line option
- -mclflushopt, -mno-clflushopt
  - clang command line option
- -mclwb, -mno-clwb
  - clang command line option
- -mclzero, -mno-clzero
  - clang command line option
- -mcmodel=<arg>
  - clang command line option
- -mcmpb, -mno-cmpb
  - clang command line option
- -mcompact-branches=<arg>
  - clang command line option
- -mcompact-branches=[values]
  - command line option
- -mconsole<arg>
  - clang command line option
- -mcpu=<arg>, -mv4 (equivalent to -mcpu=hexagonv4), -mv5 (equivalent to -mcpu=hexagonv5), -mv55 (equivalent to -mcpu=hexagonv55), -mv60 (equivalent to -mcpu=hexagonv60), -mv62 (equivalent to -mcpu=hexagonv62), -mv65 (equivalent to -mcpu=hexagonv65)
  - clang command line option
- -mcrbits, -mno-crbits
  - clang command line option
- -mcrc, -mno-crc
  - clang command line option
- -mcrypto, -mno-crypto
  - clang command line option
- -mcx16, -mno-cx16
  - clang command line option
- -MD, --write-dependencies
  - clang command line option
- -mdefault-build-attributes<arg>, -mno-default-build-attributes<arg>
  - clang command line option
- -mdirect-move, -mno-direct-move
  - clang command line option
- -mdll<arg>
  - clang command line option
- -mdouble-float
  - clang command line option
- -mdsp, -mno-dsp
  - clang command line option
- -mdspr2, -mno-dspr2
  - clang command line option
- -mdynamic-no-pic<arg>
  - clang command line option
- -meabi <arg>
  - clang command line option
- -membedded-data, -mno-embedded-data
  - clang command line option
- -mexception-handling, -mno-exception-handling
  - clang command line option
- -mexecute-only, -mno-execute-only, -mpure-code
  - clang command line option
- -mextern-sdata, -mno-extern-sdata
  - clang command line option
- -mf16c, -mno-f16c
  - clang command line option
- -MF<file>
  - clang command line option
- -mfentry
  - clang command line option
- -mfix-cortex-a53-835769, -mno-fix-cortex-a53-835769
  - clang command line option
- -mfloat-abi=<arg>
  - clang command line option
- -mfloat128, -mno-float128
  - clang command line option
- -mfma, -mno-fma
  - clang command line option
- -mfma4, -mno-fma4
  - clang command line option
- -mfp32
  - clang command line option
- -mfp64
  - clang command line option
- -mfpmath=<arg>
  - clang command line option
- -mfprnd, -mno-fprnd
  - clang command line option
- -mfpu=<arg>
  - clang command line option
- -mfsgsbase, -mno-fsgsbase
  - clang command line option
- -mfxsr, -mno-fxsr
  - clang command line option
- -MG, --print-missing-file-dependencies
  - clang command line option
- -mgeneral-regs-only
  - clang command line option
  - command line option
- -mgfni, -mno-gfni
  - clang command line option
- -mginv, -mno-ginv
  - clang command line option
- -mglobal-merge, -mno-global-merge
  - clang command line option
- -mgpopt, -mno-gpopt
  - clang command line option
- -mhard-float
  - clang command line option
- -mhtm, -mno-htm
  - clang command line option
- -mhvx, -mno-hvx
  - clang command line option
- -mhvx-length=<arg>
  - clang command line option
- -mhvx=<arg>
  - clang1 command line option
- -mhwdiv=<arg>, --mhwdiv <arg>, --mhwdiv=<arg>
  - clang command line option
- -mhwdiv=[values]
  - command line option
- -miamcu, -mno-iamcu
  - clang command line option
- -mieee-rnd-near
  - clang command line option
- -mimplicit-float, -mno-implicit-float
  - clang command line option
- -mimplicit-it=<arg>
  - clang command line option
- -mincremental-linker-compatible, -mno-incremental-linker-compatible
  - clang command line option
- -mindirect-jump=<arg>
  - clang command line option
- -minvariant-function-descriptors, -mno-invariant-function-descriptors
  - clang command line option
- -minvpcid, -mno-invpcid
  - clang command line option
- -mios-simulator-version-min=<arg>, -miphonesimulator-version-min=<arg>
  - clang command line option
- -miphoneos-version-min
  - command line option
- -miphoneos-version-min=<arg>, -mios-version-min=<arg>
  - clang command line option
- -mips16
  - clang command line option
- -misel, -mno-isel
  - clang command line option
- -MJ<arg>
  - clang command line option
- -mkernel
  - clang command line option
- -mldc1-sdc1, -mno-ldc1-sdc1
  - clang command line option
- -mlinker-version=<arg>
  - clang command line option
- -mlittle-endian, -EL
  - clang command line option
- -mllvm <arg>
  - clang command line option
- -mlocal-sdata, -mno-local-sdata
  - clang command line option
- -mlong-calls, -mno-long-calls
  - clang command line option
- -mlongcall, -mno-longcall
  - clang command line option
- -mlwp, -mno-lwp
  - clang command line option
- -mlzcnt, -mno-lzcnt
  - clang command line option
- -MM, --user-dependencies
  - clang command line option
- -mmacosx-version-min=<arg>, -mmacos-version-min=<arg>
  - clang command line option
- -mmacosx-version-min=<version>
  - command line option
- -mmadd4, -mno-madd4
  - clang command line option
- -mmcu=<arg>
  - clang command line option
- -MMD, --write-user-dependencies
  - clang command line option
- -mmemops, -mno-memops
  - clang command line option
- -mmfocrf, -mmfcrf, -mno-mfocrf
  - clang command line option
- -mmicromips, -mno-micromips
  - clang command line option
- -mmmx, -mno-mmx
  - clang command line option
- -mmovbe, -mno-movbe
  - clang command line option
- -mmovdir64b, -mno-movdir64b
  - clang command line option
- -mmovdiri, -mno-movdiri
  - clang command line option
- -mmpx, -mno-mpx
  - clang command line option
- -mms-bitfields, -mno-ms-bitfields
  - clang command line option
- -mmsa, -mno-msa
  - clang command line option
- -mmt, -mno-mt
  - clang command line option
- -mmwaitx, -mno-mwaitx
  - clang command line option
- -mnan=<arg>
  - clang command line option
- -mno-mips16
  - clang command line option
- -mno-movt
  - clang command line option
- -mno-neg-immediates
  - clang command line option
- -mnocrc
  - clang command line option
- -mnontrapping-fptoint, -mno-nontrapping-fptoint
  - clang command line option
- -mnvj, -mno-nvj
  - clang command line option
- -mnvs, -mno-nvs
  - clang command line option
- -module-dependency-dir <arg>
  - clang command line option
- -module-file-info
  - clang command line option
- -momit-leaf-frame-pointer, -mno-omit-leaf-frame-pointer
  - clang command line option
- -moslib=<arg>
  - clang command line option
- -moutline, -mno-outline
  - clang command line option
- -MP
  - clang command line option
- -mpackets, -mno-packets
  - clang command line option
- -mpclmul, -mno-pclmul
  - clang command line option
- -mpconfig, -mno-pconfig
  - clang command line option
- -mpie-copy-relocations, -mno-pie-copy-relocations
  - clang command line option
- -mpku, -mno-pku
  - clang command line option
- -mpopcnt, -mno-popcnt
  - clang command line option
- -mpopcntd, -mno-popcntd
  - clang command line option
- -mpower8-vector, -mno-power8-vector
  - clang command line option
- -mpower9-vector, -mno-power9-vector
  - clang command line option
- -mprefer-vector-width=<arg>
  - clang command line option
- -mprefetchwt1, -mno-prefetchwt1
  - clang command line option
- -mprfchw, -mno-prfchw
  - clang command line option
- -mptwrite, -mno-ptwrite
  - clang command line option
- -MQ<arg>
  - clang command line option
- -mqdsp6-compat
  - clang command line option
- -mqpx, -mno-qpx
  - clang command line option
- -mrdpid, -mno-rdpid
  - clang command line option
- -mrdrnd, -mno-rdrnd
  - clang command line option
- -mrdseed, -mno-rdseed
  - clang command line option
- -mrecip
  - clang command line option
- -mrecip=<arg1>,<arg2>...
  - clang1 command line option
- -mred-zone, -mno-red-zone
  - clang command line option
- -mregparm=<arg>
  - clang command line option
- -mrelax, -mno-relax
  - clang command line option
- -mrelax-all, -mno-relax-all
  - clang command line option
- -mrestrict-it, -mno-restrict-it
  - clang command line option
- -mretpoline, -mno-retpoline
  - clang command line option
- -mretpoline-external-thunk, -mno-retpoline-external-thunk
  - clang command line option
- -mrtd, -mno-rtd
  - clang command line option
- -mrtm, -mno-rtm
  - clang command line option
- -msahf, -mno-sahf
  - clang command line option
- -msecure-plt
  - clang command line option
- -msgx, -mno-sgx
  - clang command line option
- -msha, -mno-sha
  - clang command line option
- -mshstk, -mno-shstk
  - clang command line option
- -msign-ext, -mno-sign-ext
  - clang command line option
- -msimd128, -mno-simd128
  - clang command line option
- -msingle-float
  - clang command line option
- -msoft-float, -mno-soft-float
  - clang command line option
- -msse, -mno-sse
  - clang command line option
- -msse2, -mno-sse2
  - clang command line option
- -msse3, -mno-sse3
  - clang command line option
- -msse4.1, -mno-sse4.1
  - clang command line option
- -msse4.2, -mno-sse4.2, -msse4
  - clang1 command line option
- -msse4a, -mno-sse4a
  - clang command line option
- -mssse3, -mno-ssse3
  - clang command line option
- -mstack-alignment=<arg>
  - clang command line option
- -mstack-arg-probe, -mno-stack-arg-probe
  - clang command line option
- -mstack-probe-size=<arg>
  - clang command line option
- -mstackrealign, -mno-stackrealign
  - clang command line option
- -MT<arg>
  - clang command line option
- -mtbm, -mno-tbm
  - clang command line option
- -mthread-model <arg>
  - clang command line option
- -mthreads<arg>
  - clang command line option
- -mthumb, -mno-thumb
  - clang command line option
- -mtp=<arg>
  - clang command line option
- -mtune=<arg>
  - clang command line option
- -mtvos-simulator-version-min=<arg>, -mappletvsimulator-version-min=<arg>
  - clang command line option
- -mtvos-version-min=<arg>, -mappletvos-version-min=<arg>
  - clang command line option
- -multi_module
  - clang command line option
- -multiply_defined <arg>
  - clang command line option
- -multiply_defined_unused <arg>
  - clang1 command line option
- -munaligned-access, -mno-unaligned-access
  - clang command line option
- -municode<arg>
  - clang command line option
- -MV
  - clang command line option
  - command line option
- -mvaes, -mno-vaes
  - clang command line option
- -mvirt, -mno-virt
  - clang command line option
- -mvpclmulqdq, -mno-vpclmulqdq
  - clang command line option
- -mvsx, -mno-vsx
  - clang command line option
- -mvx, -mno-vx
  - clang command line option
- -mwaitpkg, -mno-waitpkg
  - clang command line option
- -mwarn-nonportable-cfstrings, -mno-warn-nonportable-cfstrings
  - clang command line option
- -mwatchos-simulator-version-min=<arg>, -mwatchsimulator-version-min=<arg>
  - clang command line option
- -mwatchos-version-min=<arg>
  - clang command line option
- -mwbnoinvd, -mno-wbnoinvd
  - clang command line option
- -mwindows<arg>
  - clang command line option
- -mx32
  - clang command line option
- -mx87, -m80387, -mno-x87
  - clang command line option
- -mxgot, -mno-xgot
  - clang command line option
- -mxnack, -mno-xnack
  - clang command line option
- -mxop, -mno-xop
  - clang command line option
- -mxsave, -mno-xsave
  - clang command line option
- -mxsavec, -mno-xsavec
  - clang command line option
- -mxsaveopt, -mno-xsaveopt
  - clang command line option
- -mxsaves, -mno-xsaves
  - clang command line option
- -no-integrated-cpp, --no-integrated-cpp
  - clang command line option
- -no_dead_strip_inits_and_terms
  - clang command line option
- -nobuiltininc
  - clang command line option
  - command line option
- -nocpp
  - clang command line option
- -nocudainc
  - clang command line option
- -nocudalib
  - clang command line option
- -nodefaultlibs
  - clang command line option
- -nofixprebinding
  - clang command line option
- -nolibc
  - clang command line option
- -nomultidefs
  - clang command line option
- -nopie, -no-pie
  - clang command line option
- -noprebind
  - clang command line option
- -noseglinkedit
  - clang command line option
- -nostartfiles
  - clang command line option
- -nostdinc
  - command line option
- -nostdinc++
  - clang1 command line option
- -nostdinc, --no-standard-includes
  - clang command line option
- -nostdlib++
  - clang1 command line option
- -nostdlib, --no-standard-libraries
  - clang command line option
- -nostdlibinc
  - clang command line option
  - command line option
- -o <file>
  - command line option
- -O0, -O1, -O2, -O3, -Ofast, -Os, -Oz, -Og, -O, -O4
  - command line option
- -O<arg>, -O (equivalent to -O2), --optimize, --optimize=<arg>
  - clang command line option
- -o<file>, --output <arg>, --output=<arg>
  - clang command line option
- -ObjC
  - clang command line option
- -ObjC++
  - clang1 command line option
- -ObjC, -ObjC++
  - command line option
- -objcmt-atomic-property
  - clang command line option
- -objcmt-migrate-all
  - clang command line option
- -objcmt-migrate-annotation
  - clang command line option
- -objcmt-migrate-designated-init
  - clang command line option
- -objcmt-migrate-instancetype
  - clang command line option
- -objcmt-migrate-literals
  - clang command line option
- -objcmt-migrate-ns-macros
  - clang command line option
- -objcmt-migrate-property
  - clang command line option
- -objcmt-migrate-property-dot-syntax
  - clang command line option
- -objcmt-migrate-protocol-conformance
  - clang command line option
- -objcmt-migrate-readonly-property
  - clang command line option
- -objcmt-migrate-readwrite-property
  - clang command line option
- -objcmt-migrate-subscripting
  - clang command line option
- -objcmt-ns-nonatomic-iosonly
  - clang command line option
- -objcmt-returns-innerpointer-property
  - clang command line option
- -objcmt-whitelist-dir-path=<arg>, -objcmt-white-list-dir-path=<arg>
  - clang command line option
- -object
  - clang command line option
- -Ofast<arg>
  - clang command line option
- -P, --no-line-commands
  - clang command line option
- -p, --profile
  - clang command line option
- -pagezero_size<arg>
  - clang command line option
- -pedantic
  - command line option
- -pedantic, --pedantic, -no-pedantic, --no-pedantic
  - clang command line option
- -pedantic-errors
  - command line option
- -pedantic-errors, --pedantic-errors
  - clang command line option
- -pg
  - clang command line option
- -pie
  - clang command line option
- -pipe, --pipe
  - clang command line option
- -prebind
  - clang command line option
- -prebind_all_twolevel_modules
  - clang1 command line option
- -preload
  - clang command line option
- -print-file-name=<file>
  - command line option
- -print-file-name=<file>, --print-file-name=<file>, --print-file-name <arg>
  - clang command line option
- -print-ivar-layout
  - clang command line option
- -print-libgcc-file-name
  - command line option
- -print-libgcc-file-name, --print-libgcc-file-name
  - clang command line option
- -print-multi-directory, --print-multi-directory
  - clang command line option
- -print-multi-lib, --print-multi-lib
  - clang command line option
- -print-prog-name=<name>
  - command line option
- -print-prog-name=<name>, --print-prog-name=<name>, --print-prog-name <arg>
  - clang command line option
- -print-resource-dir, --print-resource-dir
  - clang command line option
- -print-search-dirs
  - command line option
- -print-search-dirs, --print-search-dirs
  - clang command line option
- -private_bundle
  - clang command line option
- -pthread, -no-pthread
  - clang command line option
- -pthreads
  - clang command line option
- -Qn, -fno-ident
  - clang command line option
- -Qunused-arguments
  - clang command line option
  - command line option
- -Qy, -fident
  - clang command line option
- -r
  - clang command line option
- -R<remark>
  - clang command line option
- -rdynamic
  - clang command line option
- -read_only_relocs <arg>
  - clang command line option
- -relocatable-pch, --relocatable-pch
  - clang command line option
- -remap
  - clang command line option
- -rewrite-legacy-objc
  - clang command line option
- -rewrite-objc
  - clang command line option
- -Rpass-analysis=<arg>
  - clang command line option
- -Rpass-missed=<arg>
  - clang command line option
- -Rpass=<arg>
  - clang command line option
- -rpath <arg>
  - clang command line option
- -rtlib=<arg>, --rtlib=<arg>, --rtlib <arg>
  - clang command line option
- -rtlib=<library>
  - command line option
- -S
  - command line option
- -s
  - clang command line option
- -S, --assemble
  - clang command line option
- -save-stats, -save-stats=cwd, -save-stats=obj
  - command line option, [1], [2]
- -save-stats=<arg>, --save-stats=<arg>, -save-stats (equivalent to -save-stats=cwd), --save-stats (equivalent to -save-stats=cwd)
  - clang command line option, [1]
- -save-temps
  - command line option
- -save-temps=<arg>, --save-temps=<arg>, -save-temps (equivalent to -save-temps=cwd), --save-temps (equivalent to -save-temps=cwd)
  - clang command line option, [1]
- -sectalign <arg1> <arg2> <arg3>
  - clang command line option
- -sectcreate <arg1> <arg2> <arg3>
  - clang command line option
- -sectobjectsymbols <arg1> <arg2>
  - clang command line option
- -sectorder <arg1> <arg2> <arg3>
  - clang command line option
- -seg1addr<arg>
  - clang command line option
- -seg_addr_table <arg>
  - clang command line option
- -seg_addr_table_filename <arg>
  - clang1 command line option
- -segaddr <arg1> <arg2>
  - clang command line option
- -segcreate <arg1> <arg2> <arg3>
  - clang command line option
- -seglinkedit
  - clang command line option
- -segprot <arg1> <arg2> <arg3>
  - clang command line option
- -segs_read_<arg>
  - clang command line option
- -segs_read_only_addr <arg>
  - clang1 command line option
- -segs_read_write_addr <arg>
  - clang2 command line option
- -serialize-diagnostics <arg>, --serialize-diagnostics <arg>
  - clang command line option
- -shared, --shared
  - clang command line option
- -shared-libgcc
  - clang command line option
- -shared-libsan, -shared-libasan
  - clang command line option
- -single_module
  - clang command line option
- -specs=<arg>, --specs=<arg>
  - clang command line option
- -static, --static
  - clang command line option
- -static-libgcc
  - clang command line option
- -static-libgfortran
  - clang command line option
- -static-libsan
  - clang command line option
- -static-libstdc++
  - clang command line option
- -std-default=<arg>
  - clang command line option
- -std=<arg>, --std=<arg>, --std <arg>
  - clang command line option
- -std=<standard>
  - command line option
- -stdlib=<arg>, --stdlib=<arg>, --stdlib <arg>
  - clang command line option
- -stdlib=<library>
  - command line option
- -sub_library<arg>
  - clang command line option
- -sub_umbrella<arg>
  - clang1 command line option
- -t
  - clang command line option
- -T<script>
  - clang command line option
- -Tbss<addr>
  - clang command line option
- -Tdata<addr>
  - clang command line option
- -time
  - clang command line option
  - command line option
- -traditional, --traditional
  - clang command line option
- -traditional-cpp, --traditional-cpp
  - clang command line option
- -trigraphs
  - command line option
- -Ttext<addr>
  - clang command line option
- -twolevel_namespace
  - clang command line option
- -twolevel_namespace_hints
  - clang1 command line option
- -u<arg>, --force-link <arg>, --force-link=<arg>
  - clang command line option
- -U<macro>, --undefine-macro <arg>, --undefine-macro=<arg>
  - clang command line option
- -U<macroname>
  - command line option
- -umbrella <arg>
  - clang command line option
- -undef
  - clang command line option
- -undefined<arg>, --no-undefined
  - clang command line option
- -unexported_symbols_list <arg>
  - clang command line option
- -v
  - command line option
- -v, --verbose
  - clang command line option
- -verify-pch
  - clang command line option
- -w
  - command line option
- -w, --no-warnings
  - clang command line option
- -W<warning>, --extra-warnings, --warn-<arg>, --warn-=<arg>
  - clang command line option
- -Wa,<arg>,<arg2>...
  - clang command line option
- -Wa,<args>
  - command line option
- -Wambiguous-member-template
  - command line option
- -Wbind-to-temporary-copy
  - command line option
- -Wdeprecated, -Wno-deprecated
  - clang command line option
- -Wdocumentation
  - command line option
- -weak-l<arg>
  - clang command line option
- -weak_framework <arg>
  - clang command line option
- -weak_library <arg>
  - clang1 command line option
- -weak_reference_mismatches <arg>
  - clang2 command line option
- -Werror
  - command line option
- -Weverything
  - command line option
- -Wextra-tokens
  - command line option
- -Wfoo
  - command line option
- -Wframe-larger-than=<arg>
  - clang command line option
- -whatsloaded
  - clang command line option
- -whyload
  - clang command line option
- -Wl,<arg>,<arg2>...
  - clang command line option
- -Wl,<args>
  - command line option
- -Wlarge-by-value-copy=<arg>
  - clang command line option
- -Wno-documentation-unknown-command
  - command line option
- -Wno-error=foo
  - command line option
- -Wno-foo
  - command line option
- -Wnonportable-cfstrings<arg>, -Wno-nonportable-cfstrings<arg>
  - clang command line option
- -working-directory<arg>, -working-directory=<arg>
  - clang command line option
- -Wp,<arg>,<arg2>...
  - clang command line option
- -Wp,<args>
  - command line option
- -Wsystem-headers
  - command line option
- -X
  - clang command line option
- -x <language>
  - command line option
- -x<language>, --language <arg>, --language=<arg>
  - clang command line option
- -Xanalyzer <arg>
  - clang command line option
  - command line option
- -Xarch_<arg1> <arg2>
  - clang command line option
- -Xassembler <arg>
  - clang command line option
  - command line option
- -Xclang <arg>
  - clang command line option
- -Xcuda-fatbinary <arg>
  - clang command line option
- -Xcuda-ptxas <arg>
  - clang command line option
- -Xlinker <arg>
  - command line option
- -Xlinker <arg>, --for-linker <arg>, --for-linker=<arg>
  - clang command line option
- -Xopenmp-target <arg>
  - clang command line option
- -Xopenmp-target=<triple> <arg>
  - clang1 command line option
- -Xpreprocessor <arg>
  - clang command line option
  - command line option
- -y<arg>
  - clang command line option
- -Z
  - clang1 command line option
- -z <arg>
  - clang command line option
- -Z<arg>
  - clang command line option

## C

- clang command line option
  - --analyze
  - --analyze-auto
  - --analyzer-no-default-checks
  - --analyzer-output<arg>
  - --autocomplete=<arg>
  - --config <arg>
  - --constant-cfstrings
  - --cuda-compile-host-device
  - --cuda-device-only
  - --cuda-gpu-arch=<arg>, --no-cuda-gpu-arch=<arg>
  - --cuda-host-only
  - --cuda-include-ptx=<arg>, --no-cuda-include-ptx=<arg>
  - --cuda-noopt-device-debug, --no-cuda-noopt-device-debug
  - --cuda-path-ignore-env
  - --cuda-path=<arg>
  - --dyld-prefix=<arg>, --dyld-prefix <arg>, [1]
  - --gcc-toolchain=<arg>, -gcc-toolchain <arg>
  - --help-hidden
  - --hip-device-lib-path=<arg>
  - --hip-device-lib=<arg>
  - --hip-link
  - --migrate
  - --no-cuda-version-check
  - --param <arg>, --param=<arg>, [1]
  - --precompile
  - --print-diagnostic-categories
  - --ptxas-path=<arg>
  - --sysroot=<arg>, --sysroot <arg>, [1]
  - --system-header-prefix=<prefix>, --no-system-header-prefix=<prefix>, --system-header-prefix <arg>, [1]
  - --target-help
  - --target=<arg>, -target <arg>
  - --verify-debug-info
  - --version
  - -A-<arg>
  - -A<arg>, --assert <arg>, --assert=<arg>
  - -B<dir>, --prefix <arg>, --prefix=<arg>
  - -C, --comments
  - -CC, --comments-in-macros
  - -D<macro>=<value>, --define-macro <arg>, --define-macro=<arg>
  - -E, --preprocess
  - -F<arg>
  - -G<size>, -G=<arg>, -msmall-data-threshold=<arg>
  - -H, --trace-includes
  - -I-, --include-barrier
  - -I<dir>, --include-directory <arg>, --include-directory=<arg>
  - -J<arg>
  - -L<dir>, --library-directory <arg>, --library-directory=<arg>
  - -M, --dependencies
  - -MD, --write-dependencies
  - -MF<file>
  - -MG, --print-missing-file-dependencies
  - -MJ<arg>
  - -MM, --user-dependencies
  - -MMD, --write-user-dependencies
  - -MP
  - -MQ<arg>
  - -MT<arg>
  - -MV
  - -Mach
  - -O<arg>, -O (equivalent to -O2), --optimize, --optimize=<arg>
  - -ObjC
  - -Ofast<arg>
  - -P, --no-line-commands
  - -Qn, -fno-ident
  - -Qunused-arguments
  - -Qy, -fident
  - -R<remark>
  - -Rpass-analysis=<arg>
  - -Rpass-missed=<arg>
  - -Rpass=<arg>
  - -S, --assemble
  - -T<script>
  - -Tbss<addr>
  - -Tdata<addr>
  - -Ttext<addr>
  - -U<macro>, --undefine-macro <arg>, --undefine-macro=<arg>
  - -W<warning>, --extra-warnings, --warn-<arg>, --warn-=<arg>
  - -Wa,<arg>,<arg2>...
  - -Wdeprecated, -Wno-deprecated
  - -Wframe-larger-than=<arg>
  - -Wl,<arg>,<arg2>...
  - -Wlarge-by-value-copy=<arg>
  - -Wnonportable-cfstrings<arg>, -Wno-nonportable-cfstrings<arg>
  - -Wp,<arg>,<arg2>...
  - -X
  - -Xanalyzer <arg>
  - -Xarch_<arg1> <arg2>
  - -Xassembler <arg>
  - -Xclang <arg>
  - -Xcuda-fatbinary <arg>
  - -Xcuda-ptxas <arg>
  - -Xlinker <arg>, --for-linker <arg>, --for-linker=<arg>
  - -Xopenmp-target <arg>
  - -Xpreprocessor <arg>
  - -Z<arg>
  - -a<arg>, --profile-blocks
  - -all_load
  - -allowable_client <arg>
  - -ansi, --ansi
  - -arch <arg>
  - -arcmt-migrate-emit-errors
  - -arcmt-migrate-report-output <arg>
  - -bind_at_load
  - -bundle
  - -c, --compile
  - -cfguard
  - -cl-denorms-are-zero
  - -cl-fast-relaxed-math
  - -cl-finite-math-only
  - -cl-fp32-correctly-rounded-divide-sqrt
  - -cl-kernel-arg-info
  - -cl-mad-enable
  - -cl-no-signed-zeros
  - -cl-opt-disable
  - -cl-single-precision-constant
  - -cl-std=<arg>
  - -cl-strict-aliasing
  - -cl-uniform-work-group-size
  - -cl-unsafe-math-optimizations
  - -client_name<arg>
  - -compatibility_version<arg>
  - -coverage, --coverage
  - -cpp
  - -current_version<arg>
  - -cxx-isystem<directory>
  - -d
  - -dA
  - -dD
  - -dI
  - -dM
  - -dead_strip
  - -dependency-dot <arg>
  - -dependency-file <arg>
  - -dumpmachine
  - -dumpversion
  - -dylib_file <arg>
  - -dylinker
  - -dynamic
  - -dynamiclib
  - -e<arg>, --entry
  - -emit-ast
  - -emit-llvm
  - -exported_symbols_list <arg>
  - -fPIC, -fno-PIC
  - -fPIE, -fno-PIE
  - -faccess-control, -fno-access-control
  - -faddrsig, -fno-addrsig
  - -faggressive-function-elimination, -fno-aggressive-function-elimination
  - -falign-commons, -fno-align-commons
  - -falign-functions, -fno-align-functions
  - -faligned-new=<arg>
  - -fall-intrinsics, -fno-all-intrinsics
  - -fallow-editor-placeholders, -fno-allow-editor-placeholders
  - -fallow-unsupported
  - -faltivec, -fno-altivec
  - -fansi-escape-codes
  - -fapple-kext, -findirect-virtual-calls, -fterminated-vtables
  - -fapple-pragma-pack, -fno-apple-pragma-pack
  - -fapplication-extension, -fno-application-extension
  - -fasm, -fno-asm
  - -fasm-blocks, -fno-asm-blocks
  - -fassociative-math, -fno-associative-math
  - -fassume-sane-operator-new, -fno-assume-sane-operator-new
  - -fast
  - -fastcp
  - -fastf
  - -fasynchronous-unwind-tables, -fno-asynchronous-unwind-tables
  - -fautolink, -fno-autolink
  - -fautomatic, -fno-automatic
  - -fbackslash, -fno-backslash
  - -fbacktrace, -fno-backtrace
  - -fblas-matmul-limit=<arg>
  - -fblocks, -fno-blocks
  - -fbootclasspath=<arg>, --bootclasspath <arg>, --bootclasspath=<arg>
  - -fborland-extensions, -fno-borland-extensions
  - -fbounds-check, -fno-bounds-check
  - -fbracket-depth=<arg>
  - -fbuild-session-file=<file>
  - -fbuild-session-timestamp=<time since Epoch in seconds>
  - -fbuiltin, -fno-builtin
  - -fbuiltin-module-map
  - -fcaret-diagnostics, -fno-caret-diagnostics
  - -fcf-protection=<arg>, -fcf-protection (equivalent to -fcf-protection=full), [1]
  - -fchar8_t, -fno-char8_t
  - -fcheck-array-temporaries, -fno-check-array-temporaries
  - -fcheck=<arg>
  - -fclang-abi-compat=<version>
  - -fclasspath=<arg>, --CLASSPATH <arg>, --CLASSPATH=<arg>, --classpath <arg>, --classpath=<arg>
  - -fcoarray=<arg>
  - -fcolor-diagnostics, -fno-color-diagnostics
  - -fcomment-block-commands=<arg>,<arg2>...
  - -fcommon, -fno-common
  - -fcompile-resource=<arg>, --resource <arg>, --resource=<arg>
  - -fcomplete-member-pointers, -fno-complete-member-pointers
  - -fconstant-cfstrings, -fno-constant-cfstrings
  - -fconstant-string-class=<arg>
  - -fconstexpr-backtrace-limit=<arg>
  - -fconstexpr-depth=<arg>
  - -fconstexpr-steps=<arg>
  - -fconvert=<arg>
  - -fcoroutines-ts, -fno-coroutines-ts
  - -fcoverage-mapping, -fno-coverage-mapping
  - -fcrash-diagnostics-dir=<arg>
  - -fcray-pointer, -fno-cray-pointer
  - -fcreate-profile
  - -fcuda-approx-transcendentals, -fno-cuda-approx-transcendentals
  - -fcuda-flush-denormals-to-zero, -fno-cuda-flush-denormals-to-zero
  - -fcuda-rdc, -fno-cuda-rdc
  - -fcuda-short-ptr, -fno-cuda-short-ptr
  - -fcxx-exceptions, -fno-cxx-exceptions
  - -fcxx-modules, -fno-cxx-modules
  - -fd-lines-as-code, -fno-d-lines-as-code
  - -fd-lines-as-comments, -fno-d-lines-as-comments
  - -fdata-sections, -fno-data-sections
  - -fdebug-info-for-profiling, -fno-debug-info-for-profiling
  - -fdebug-macro, -fno-debug-macro
  - -fdebug-pass-arguments
  - -fdebug-pass-structure
  - -fdebug-prefix-map=<arg>
  - -fdebug-types-section, -fno-debug-types-section
  - -fdeclspec, -fno-declspec
  - -fdefault-double-8, -fno-default-double-8
  - -fdefault-integer-8, -fno-default-integer-8
  - -fdefault-real-8, -fno-default-real-8
  - -fdelayed-template-parsing, -fno-delayed-template-parsing
  - -fdelete-null-pointer-checks, -fno-delete-null-pointer-checks
  - -fdenormal-fp-math=<arg>
  - -fdepfile-entry=<arg>
  - -fdiagnostics-absolute-paths
  - -fdiagnostics-color, -fno-diagnostics-color
  - -fdiagnostics-fixit-info, -fno-diagnostics-fixit-info
  - -fdiagnostics-format=<arg>
  - -fdiagnostics-hotness-threshold=<number>
  - -fdiagnostics-parseable-fixits
  - -fdiagnostics-print-source-range-info
  - -fdiagnostics-show-category=<arg>
  - -fdiagnostics-show-hotness, -fno-diagnostics-show-hotness
  - -fdiagnostics-show-note-include-stack, -fno-diagnostics-show-note-include-stack
  - -fdiagnostics-show-option, -fno-diagnostics-show-option
  - -fdiagnostics-show-template-tree
  - -fdigraphs, -fno-digraphs
  - -fdiscard-value-names, -fno-discard-value-names
  - -fdollar-ok, -fno-dollar-ok
  - -fdollars-in-identifiers, -fno-dollars-in-identifiers
  - -fdouble-square-bracket-attributes, -fno-double-square-bracket-attributes
  - -fdump-fortran-optimized, -fno-dump-fortran-optimized
  - -fdump-fortran-original, -fno-dump-fortran-original
  - -fdump-parse-tree, -fno-dump-parse-tree
  - -fdwarf-directory-asm, -fno-dwarf-directory-asm
  - -fdwarf-exceptions
  - -felide-constructors, -fno-elide-constructors
  - -feliminate-unused-debug-symbols, -fno-eliminate-unused-debug-symbols
  - -fembed-bitcode=<option>, -fembed-bitcode (equivalent to -fembed-bitcode=all), -fembed-bitcode-marker (equivalent to -fembed-bitcode=marker), [1]
  - -femit-all-decls
  - -femulated-tls, -fno-emulated-tls
  - -fencoding=<arg>, --encoding <arg>, --encoding=<arg>
  - -ferror-limit=<arg>
  - -fescaping-block-tail-calls, -fno-escaping-block-tail-calls
  - -fexceptions, -fno-exceptions
  - -fexec-charset=<arg>
  - -fexperimental-isel, -fno-experimental-isel
  - -fexperimental-new-pass-manager, -fno-experimental-new-pass-manager
  - -fextdirs=<arg>, --extdirs <arg>, --extdirs=<arg>
  - -fexternal-blas, -fno-external-blas
  - -ff2c, -fno-f2c
  - -ffast-math, -fno-fast-math
  - -ffine-grained-bitfield-accesses, -fno-fine-grained-bitfield-accesses
  - -ffinite-math-only, -fno-finite-math-only
  - -ffixed-form, -fno-fixed-form
  - -ffixed-line-length-<arg>
  - -ffixed-point, -fno-fixed-point
  - -ffixed-r19
  - -ffixed-r9
  - -ffixed-x18
  - -ffixed-x20
  - -ffor-scope, -fno-for-scope
  - -fforce-emit-vtables, -fno-force-emit-vtables
  - -fforce-enable-int128, -fno-force-enable-int128
  - -ffp-contract=<arg>
  - -ffpe-trap=<arg>
  - -ffree-form, -fno-free-form
  - -ffree-line-length-<arg>
  - -ffreestanding
  - -ffrontend-optimize, -fno-frontend-optimize
  - -ffunction-sections, -fno-function-sections
  - -fgnu-inline-asm, -fno-gnu-inline-asm
  - -fgnu-keywords, -fno-gnu-keywords
  - -fgnu-runtime
  - -fgnu89-inline, -fno-gnu89-inline
  - -fheinous-gnu-extensions
  - -fhonor-infinities, -fhonor-infinites, -fno-honor-infinities
  - -fhonor-nans, -fno-honor-nans
  - -fhosted
  - -filelist <arg>
  - -fimplicit-module-maps, -fmodule-maps, -fno-implicit-module-maps
  - -fimplicit-modules, -fno-implicit-modules
  - -fimplicit-none, -fno-implicit-none
  - -finit-character=<arg>
  - -finit-integer=<arg>
  - -finit-local-zero, -fno-init-local-zero
  - -finit-logical=<arg>
  - -finit-real=<arg>
  - -finline-functions, -fno-inline-functions
  - -finline-hint-functions
  - -finput-charset=<arg>
  - -finstrument-function-entry-bare
  - -finstrument-functions
  - -finstrument-functions-after-inlining
  - -finteger-4-integer-8, -fno-integer-4-integer-8
  - -fintegrated-as, -fno-integrated-as, -integrated-as
  - -fintrinsic-modules-path, -fno-intrinsic-modules-path
  - -fjump-tables, -fno-jump-tables
  - -flat_namespace
  - -flax-vector-conversions, -fno-lax-vector-conversions
  - -flimited-precision=<arg>
  - -flto, -fno-lto
  - -flto-jobs=<arg>
  - -fmacro-backtrace-limit=<arg>
  - -fmath-errno, -fno-math-errno
  - -fmax-array-constructor=<arg>
  - -fmax-errors=<arg>
  - -fmax-identifier-length, -fno-max-identifier-length
  - -fmax-stack-var-size=<arg>
  - -fmax-subrecord-length=<arg>
  - -fmax-type-align=<arg>
  - -fmerge-all-constants, -fno-merge-all-constants
  - -fmessage-length=<arg>
  - -fmodule-file-deps, -fno-module-file-deps
  - -fmodule-file=[<name>=]<file>
  - -fmodule-map-file=<file>
  - -fmodule-name=<name>, -fmodule-implementation-of <arg>, -fmodule-name <arg>, [1]
  - -fmodule-private, -fno-module-private
  - -fmodules, -fno-modules
  - -fmodules-cache-path=<directory>
  - -fmodules-decluse, -fno-modules-decluse
  - -fmodules-disable-diagnostic-validation
  - -fmodules-ignore-macro=<arg>
  - -fmodules-prune-after=<seconds>
  - -fmodules-prune-interval=<seconds>
  - -fmodules-search-all, -fno-modules-search-all
  - -fmodules-strict-decluse
  - -fmodules-ts
  - -fmodules-user-build-path <directory>
  - -fmodules-validate-once-per-build-session
  - -fmodules-validate-system-headers, -fno-modules-validate-system-headers
  - -fms-compatibility, -fno-ms-compatibility
  - -fms-compatibility-version=<arg>
  - -fms-extensions, -fno-ms-extensions
  - -fms-memptr-rep=<arg>
  - -fms-volatile<arg>
  - -fmsc-version=<arg>
  - -fmudflap
  - -fmudflapth
  - -fnested-functions
  - -fnew-alignment=<align>, -fnew-alignment <arg>, [1]
  - -fnext-runtime
  - -fno-builtin-<arg>
  - -fno-crash-diagnostics
  - -fno-elide-type
  - -fno-max-type-align
  - -fno-operator-names
  - -fno-rtti-data
  - -fno-sanitize-blacklist
  - -fno-strict-modules-decluse
  - -fno-working-directory
  - -fnoxray-link-deps
  - -fobjc-abi-version=<arg>
  - -fobjc-arc, -fno-objc-arc
  - -fobjc-arc-exceptions, -fno-objc-arc-exceptions
  - -fobjc-exceptions, -fno-objc-exceptions
  - -fobjc-infer-related-result-type, -fno-objc-infer-related-result-type
  - -fobjc-legacy-dispatch, -fno-objc-legacy-dispatch
  - -fobjc-link-runtime
  - -fobjc-nonfragile-abi, -fno-objc-nonfragile-abi
  - -fobjc-nonfragile-abi-version=<arg>
  - -fobjc-runtime=<arg>
  - -fobjc-sender-dependent-dispatch
  - -fobjc-weak, -fno-objc-weak
  - -fomit-frame-pointer, -fno-omit-frame-pointer
  - -fopenmp, -fno-openmp
  - -fopenmp-simd, -fno-openmp-simd
  - -fopenmp-targets=<arg1>,<arg2>...
  - -fopenmp-version=<arg>
  - -foperator-arrow-depth=<arg>
  - -foptimization-record-file=<arg>
  - -foptimize-sibling-calls, -fno-optimize-sibling-calls
  - -force_cpusubtype_ALL
  - -foutput-class-dir=<arg>, --output-class-directory <arg>, --output-class-directory=<arg>
  - -fpack-derived, -fno-pack-derived
  - -fpack-struct, -fno-pack-struct
  - -fparse-all-comments
  - -fpascal-strings, -fno-pascal-strings, -mpascal-strings
  - -fpcc-struct-return
  - -fpch-preprocess
  - -fpic, -fno-pic
  - -fpie, -fno-pie
  - -fplt, -fno-plt
  - -fplugin=<dsopath>
  - -fprebuilt-module-path=<directory>
  - -fpreserve-as-comments, -fno-preserve-as-comments
  - -fprofile-arcs, -fno-profile-arcs
  - -fprofile-dir=<arg>
  - -fprofile-generate, -fno-profile-generate
  - -fprofile-instr-generate, -fno-profile-instr-generate
  - -fprofile-instr-use, -fno-profile-instr-use, -fprofile-use
  - -fprofile-sample-accurate, -fauto-profile-accurate, -fno-profile-sample-accurate
  - -fprofile-sample-use, -fauto-profile, -fno-profile-sample-use
  - -fprotect-parens, -fno-protect-parens
  - -framework <arg>
  - -frange-check, -fno-range-check
  - -freal-4-real-10, -fno-real-4-real-10
  - -freal-4-real-16, -fno-real-4-real-16
  - -freal-4-real-8, -fno-real-4-real-8
  - -freal-8-real-10, -fno-real-8-real-10
  - -freal-8-real-16, -fno-real-8-real-16
  - -freal-8-real-4, -fno-real-8-real-4
  - -frealloc-lhs, -fno-realloc-lhs
  - -freciprocal-math, -fno-reciprocal-math
  - -frecord-marker=<arg>
  - -frecursive, -fno-recursive
  - -freg-struct-return
  - -fregister-global-dtors-with-atexit, -fno-register-global-dtors-with-atexit
  - -frelaxed-template-template-args, -fno-relaxed-template-template-args
  - -frepack-arrays, -fno-repack-arrays
  - -freroll-loops, -fno-reroll-loops
  - -fretain-comments-from-system-headers
  - -frewrite-imports, -fno-rewrite-imports
  - -frewrite-includes, -fno-rewrite-includes
  - -frewrite-map-file <arg>
  - -fropi, -fno-ropi
  - -frtlib-add-rpath, -fno-rtlib-add-rpath
  - -frtti, -fno-rtti
  - -frwpi, -fno-rwpi
  - -fsanitize-address-field-padding=<arg>
  - -fsanitize-address-globals-dead-stripping
  - -fsanitize-address-poison-class-member-array-new-cookie, -fno-sanitize-address-poison-class-member-array-new-cookie
  - -fsanitize-address-use-after-scope, -fno-sanitize-address-use-after-scope
  - -fsanitize-blacklist=<arg>
  - -fsanitize-cfi-cross-dso, -fno-sanitize-cfi-cross-dso
  - -fsanitize-cfi-icall-generalize-pointers
  - -fsanitize-coverage=<arg1>,<arg2>..., -fno-sanitize-coverage=<arg1>,<arg2>...
  - -fsanitize-link-c++-runtime
  - -fsanitize-memory-track-origins, -fno-sanitize-memory-track-origins
  - -fsanitize-memory-use-after-dtor, -fno-sanitize-memory-use-after-dtor
  - -fsanitize-minimal-runtime, -fno-sanitize-minimal-runtime
  - -fsanitize-recover, -fno-sanitize-recover
  - -fsanitize-stats, -fno-sanitize-stats
  - -fsanitize-thread-atomics, -fno-sanitize-thread-atomics
  - -fsanitize-thread-func-entry-exit, -fno-sanitize-thread-func-entry-exit
  - -fsanitize-thread-memory-access, -fno-sanitize-thread-memory-access
  - -fsanitize-trap=<arg1>,<arg2>..., -fno-sanitize-trap=<arg1>,<arg2>...
  - -fsanitize-undefined-strip-path-components=<number>
  - -fsanitize-undefined-trap-on-error, -fno-sanitize-undefined-trap-on-error
  - -fsanitize=<check>,<arg2>..., -fno-sanitize=<arg1>,<arg2>...
  - -fsave-optimization-record, -fno-save-optimization-record
  - -fsecond-underscore, -fno-second-underscore
  - -fseh-exceptions
  - -fshort-enums, -fno-short-enums
  - -fshort-wchar, -fno-short-wchar
  - -fshow-column, -fno-show-column
  - -fshow-overloads=<arg>
  - -fshow-source-location, -fno-show-source-location
  - -fsign-zero, -fno-sign-zero
  - -fsignaling-math, -fno-signaling-math
  - -fsigned-bitfields
  - -fsigned-char, -fno-signed-char, --signed-char
  - -fsigned-zeros, -fno-signed-zeros
  - -fsized-deallocation, -fno-sized-deallocation
  - -fsjlj-exceptions
  - -fslp-vectorize, -fno-slp-vectorize, -ftree-slp-vectorize
  - -fspell-checking, -fno-spell-checking
  - -fspell-checking-limit=<arg>
  - -fsplit-dwarf-inlining, -fno-split-dwarf-inlining
  - -fsplit-stack
  - -fstack-arrays, -fno-stack-arrays
  - -fstack-protector, -fno-stack-protector
  - -fstack-protector-all
  - -fstack-protector-strong
  - -fstack-size-section, -fno-stack-size-section
  - -fstandalone-debug, -fno-limit-debug-info, -fno-standalone-debug
  - -fstrict-aliasing, -fno-strict-aliasing
  - -fstrict-enums, -fno-strict-enums
  - -fstrict-float-cast-overflow, -fno-strict-float-cast-overflow
  - -fstrict-overflow, -fno-strict-overflow
  - -fstrict-return, -fno-strict-return
  - -fstrict-vtable-pointers, -fno-strict-vtable-pointers
  - -fstruct-path-tbaa, -fno-struct-path-tbaa
  - -fsyntax-only
  - -ftabstop=<arg>
  - -ftemplate-backtrace-limit=<arg>
  - -ftemplate-depth-<arg>
  - -ftemplate-depth=<arg>
  - -ftest-coverage
  - -fthinlto-index=<arg>
  - -fthreadsafe-statics, -fno-threadsafe-statics
  - -ftime-report
  - -ftls-model=<arg>
  - -ftrap-function=<arg>
  - -ftrapping-math, -fno-trapping-math
  - -ftrapv
  - -ftrapv-handler <arg>
  - -ftrigraphs, -fno-trigraphs, -trigraphs, --trigraphs
  - -funderscoring, -fno-underscoring
  - -funique-section-names, -fno-unique-section-names
  - -funit-at-a-time, -fno-unit-at-a-time
  - -funroll-loops, -fno-unroll-loops
  - -funsafe-math-optimizations, -fno-unsafe-math-optimizations
  - -funsigned-bitfields
  - -funsigned-char, -fno-unsigned-char, --unsigned-char
  - -funwind-tables, -fno-unwind-tables
  - -fuse-cxa-atexit, -fno-use-cxa-atexit
  - -fuse-init-array, -fno-use-init-array
  - -fuse-ld=<arg>
  - -fuse-line-directives, -fno-use-line-directives
  - -fveclib=<arg>
  - -fvectorize, -fno-vectorize, -ftree-vectorize
  - -fverbose-asm, -fno-verbose-asm
  - -fvisibility-inlines-hidden
  - -fvisibility-ms-compat
  - -fvisibility=<arg>
  - -fwhole-file, -fno-whole-file
  - -fwhole-program-vtables, -fno-whole-program-vtables
  - -fwrapv, -fno-wrapv
  - -fwritable-strings
  - -fxray-always-emit-customevents, -fno-xray-always-emit-customevents
  - -fxray-always-emit-typedevents, -fno-xray-always-emit-typedevents
  - -fxray-always-instrument=<arg>
  - -fxray-attr-list=<arg>
  - -fxray-instruction-threshold<arg>
  - -fxray-instrument, -fno-xray-instrument
  - -fxray-instrumentation-bundle=<arg>
  - -fxray-link-deps
  - -fxray-modes=<arg>
  - -fxray-never-instrument=<arg>
  - -fzero-initialized-in-bss, -fno-zero-initialized-in-bss
  - -fzvector, -fno-zvector, -mzvector
  - -g, --debug, --debug=<arg>
  - -g0
  - -g2
  - -g3
  - -gcodeview
  - -gcolumn-info, -gno-column-info
  - -gdwarf-2
  - -gdwarf-3
  - -gdwarf-4, -gdwarf
  - -gdwarf-5
  - -gdwarf-aranges
  - -gembed-source, -gno-embed-source
  - -gfull
  - -ggdb
  - -ggdb0
  - -ggdb1
  - -ggdb2
  - -ggdb3
  - -ggnu-pubnames, -gno-gnu-pubnames
  - -gline-tables-only, -g1, -gmlt
  - -glldb
  - -gmodules
  - -grecord-gcc-switches, -gno-record-gcc-switches
  - -gsce
  - -gsplit-dwarf
  - -gstrict-dwarf, -gno-strict-dwarf
  - -gused
  - -gz
  - -headerpad_max_install_names<arg>
  - -help, --help
  - -idirafter<arg>, --include-directory-after <arg>, --include-directory-after=<arg>
  - -iframework<arg>
  - -iframeworkwithsysroot<directory>
  - -imacros<file>, --imacros<file>, --imacros=<arg>
  - -image_base <arg>
  - -imultilib <arg>
  - -include-pch <file>
  - -include<file>, --include<file>, --include=<arg>
  - -index-header-map
  - -init <arg>
  - -install_name <arg>
  - -iprefix<dir>, --include-prefix <arg>, --include-prefix=<arg>
  - -iquote<directory>
  - -isysroot<dir>
  - -isystem-after<directory>
  - -isystem<directory>
  - -ivfsoverlay<arg>
  - -iwithprefix<dir>, --include-with-prefix <arg>, --include-with-prefix-after <arg>, --include-with-prefix-after=<arg>, --include-with-prefix=<arg>
  - -iwithprefixbefore<dir>, --include-with-prefix-before <arg>, --include-with-prefix-before=<arg>
  - -iwithsysroot<directory>
  - -keep_private_externs
  - -l<arg>
  - -lazy_framework <arg>
  - -m16
  - -m32
  - -m3dnow, -mno-3dnow
  - -m3dnowa, -mno-3dnowa
  - -m64
  - -mabi=<arg>
  - -mabicalls, -mno-abicalls
  - -mabs=<arg>
  - -madx, -mno-adx
  - -maes, -mno-aes
  - -malign-double
  - -maltivec, -mno-altivec
  - -march=<arg>
  - -masm=<arg>
  - -mavx, -mno-avx
  - -mavx2, -mno-avx2
  - -mavx512bitalg, -mno-avx512bitalg
  - -mavx512bw, -mno-avx512bw
  - -mavx512cd, -mno-avx512cd
  - -mavx512dq, -mno-avx512dq
  - -mavx512er, -mno-avx512er
  - -mavx512f, -mno-avx512f
  - -mavx512ifma, -mno-avx512ifma
  - -mavx512pf, -mno-avx512pf
  - -mavx512vbmi, -mno-avx512vbmi
  - -mavx512vbmi2, -mno-avx512vbmi2
  - -mavx512vl, -mno-avx512vl
  - -mavx512vnni, -mno-avx512vnni
  - -mavx512vpopcntdq, -mno-avx512vpopcntdq
  - -mbackchain, -mno-backchain
  - -mbig-endian, -EB
  - -mbmi, -mno-bmi
  - -mbmi2, -mno-bmi2
  - -mcheck-zero-division, -mno-check-zero-division
  - -mcldemote, -mno-cldemote
  - -mclflushopt, -mno-clflushopt
  - -mclwb, -mno-clwb
  - -mclzero, -mno-clzero
  - -mcmodel=<arg>
  - -mcmpb, -mno-cmpb
  - -mcompact-branches=<arg>
  - -mconsole<arg>
  - -mcpu=<arg>, -mv4 (equivalent to -mcpu=hexagonv4), -mv5 (equivalent to -mcpu=hexagonv5), -mv55 (equivalent to -mcpu=hexagonv55), -mv60 (equivalent to -mcpu=hexagonv60), -mv62 (equivalent to -mcpu=hexagonv62), -mv65 (equivalent to -mcpu=hexagonv65)
  - -mcrbits, -mno-crbits
  - -mcrc, -mno-crc
  - -mcrypto, -mno-crypto
  - -mcx16, -mno-cx16
  - -mdefault-build-attributes<arg>, -mno-default-build-attributes<arg>
  - -mdirect-move, -mno-direct-move
  - -mdll<arg>
  - -mdouble-float
  - -mdsp, -mno-dsp
  - -mdspr2, -mno-dspr2
  - -mdynamic-no-pic<arg>
  - -meabi <arg>
  - -membedded-data, -mno-embedded-data
  - -mexception-handling, -mno-exception-handling
  - -mexecute-only, -mno-execute-only, -mpure-code
  - -mextern-sdata, -mno-extern-sdata
  - -mf16c, -mno-f16c
  - -mfentry
  - -mfix-cortex-a53-835769, -mno-fix-cortex-a53-835769
  - -mfloat-abi=<arg>
  - -mfloat128, -mno-float128
  - -mfma, -mno-fma
  - -mfma4, -mno-fma4
  - -mfp32
  - -mfp64
  - -mfpmath=<arg>
  - -mfprnd, -mno-fprnd
  - -mfpu=<arg>
  - -mfsgsbase, -mno-fsgsbase
  - -mfxsr, -mno-fxsr
  - -mgeneral-regs-only
  - -mgfni, -mno-gfni
  - -mginv, -mno-ginv
  - -mglobal-merge, -mno-global-merge
  - -mgpopt, -mno-gpopt
  - -mhard-float
  - -mhtm, -mno-htm
  - -mhvx, -mno-hvx
  - -mhvx-length=<arg>
  - -mhwdiv=<arg>, --mhwdiv <arg>, --mhwdiv=<arg>
  - -miamcu, -mno-iamcu
  - -mieee-rnd-near
  - -mimplicit-float, -mno-implicit-float
  - -mimplicit-it=<arg>
  - -mincremental-linker-compatible, -mno-incremental-linker-compatible
  - -mindirect-jump=<arg>
  - -minvariant-function-descriptors, -mno-invariant-function-descriptors
  - -minvpcid, -mno-invpcid
  - -mios-simulator-version-min=<arg>, -miphonesimulator-version-min=<arg>
  - -miphoneos-version-min=<arg>, -mios-version-min=<arg>
  - -mips16
  - -misel, -mno-isel
  - -mkernel
  - -mldc1-sdc1, -mno-ldc1-sdc1
  - -mlinker-version=<arg>
  - -mlittle-endian, -EL
  - -mllvm <arg>
  - -mlocal-sdata, -mno-local-sdata
  - -mlong-calls, -mno-long-calls
  - -mlongcall, -mno-longcall
  - -mlwp, -mno-lwp
  - -mlzcnt, -mno-lzcnt
  - -mmacosx-version-min=<arg>, -mmacos-version-min=<arg>
  - -mmadd4, -mno-madd4
  - -mmcu=<arg>
  - -mmemops, -mno-memops
  - -mmfocrf, -mmfcrf, -mno-mfocrf
  - -mmicromips, -mno-micromips
  - -mmmx, -mno-mmx
  - -mmovbe, -mno-movbe
  - -mmovdir64b, -mno-movdir64b
  - -mmovdiri, -mno-movdiri
  - -mmpx, -mno-mpx
  - -mms-bitfields, -mno-ms-bitfields
  - -mmsa, -mno-msa
  - -mmt, -mno-mt
  - -mmwaitx, -mno-mwaitx
  - -mnan=<arg>
  - -mno-mips16
  - -mno-movt
  - -mno-neg-immediates
  - -mnocrc
  - -mnontrapping-fptoint, -mno-nontrapping-fptoint
  - -mnvj, -mno-nvj
  - -mnvs, -mno-nvs
  - -module-dependency-dir <arg>
  - -module-file-info
  - -momit-leaf-frame-pointer, -mno-omit-leaf-frame-pointer
  - -moslib=<arg>
  - -moutline, -mno-outline
  - -mpackets, -mno-packets
  - -mpclmul, -mno-pclmul
  - -mpconfig, -mno-pconfig
  - -mpie-copy-relocations, -mno-pie-copy-relocations
  - -mpku, -mno-pku
  - -mpopcnt, -mno-popcnt
  - -mpopcntd, -mno-popcntd
  - -mpower8-vector, -mno-power8-vector
  - -mpower9-vector, -mno-power9-vector
  - -mprefer-vector-width=<arg>
  - -mprefetchwt1, -mno-prefetchwt1
  - -mprfchw, -mno-prfchw
  - -mptwrite, -mno-ptwrite
  - -mqdsp6-compat
  - -mqpx, -mno-qpx
  - -mrdpid, -mno-rdpid
  - -mrdrnd, -mno-rdrnd
  - -mrdseed, -mno-rdseed
  - -mrecip
  - -mred-zone, -mno-red-zone
  - -mregparm=<arg>
  - -mrelax, -mno-relax
  - -mrelax-all, -mno-relax-all
  - -mrestrict-it, -mno-restrict-it
  - -mretpoline, -mno-retpoline
  - -mretpoline-external-thunk, -mno-retpoline-external-thunk
  - -mrtd, -mno-rtd
  - -mrtm, -mno-rtm
  - -msahf, -mno-sahf
  - -msecure-plt
  - -msgx, -mno-sgx
  - -msha, -mno-sha
  - -mshstk, -mno-shstk
  - -msign-ext, -mno-sign-ext
  - -msimd128, -mno-simd128
  - -msingle-float
  - -msoft-float, -mno-soft-float
  - -msse, -mno-sse
  - -msse2, -mno-sse2
  - -msse3, -mno-sse3
  - -msse4.1, -mno-sse4.1
  - -msse4a, -mno-sse4a
  - -mssse3, -mno-ssse3
  - -mstack-alignment=<arg>
  - -mstack-arg-probe, -mno-stack-arg-probe
  - -mstack-probe-size=<arg>
  - -mstackrealign, -mno-stackrealign
  - -mtbm, -mno-tbm
  - -mthread-model <arg>
  - -mthreads<arg>
  - -mthumb, -mno-thumb
  - -mtp=<arg>
  - -mtune=<arg>
  - -mtvos-simulator-version-min=<arg>, -mappletvsimulator-version-min=<arg>
  - -mtvos-version-min=<arg>, -mappletvos-version-min=<arg>
  - -multi_module
  - -multiply_defined <arg>
  - -munaligned-access, -mno-unaligned-access
  - -municode<arg>
  - -mvaes, -mno-vaes
  - -mvirt, -mno-virt
  - -mvpclmulqdq, -mno-vpclmulqdq
  - -mvsx, -mno-vsx
  - -mvx, -mno-vx
  - -mwaitpkg, -mno-waitpkg
  - -mwarn-nonportable-cfstrings, -mno-warn-nonportable-cfstrings
  - -mwatchos-simulator-version-min=<arg>, -mwatchsimulator-version-min=<arg>
  - -mwatchos-version-min=<arg>
  - -mwbnoinvd, -mno-wbnoinvd
  - -mwindows<arg>
  - -mx32
  - -mx87, -m80387, -mno-x87
  - -mxgot, -mno-xgot
  - -mxnack, -mno-xnack
  - -mxop, -mno-xop
  - -mxsave, -mno-xsave
  - -mxsavec, -mno-xsavec
  - -mxsaveopt, -mno-xsaveopt
  - -mxsaves, -mno-xsaves
  - -no-integrated-cpp, --no-integrated-cpp
  - -no_dead_strip_inits_and_terms
  - -nobuiltininc
  - -nocpp
  - -nocudainc
  - -nocudalib
  - -nodefaultlibs
  - -nofixprebinding
  - -nolibc
  - -nomultidefs
  - -nopie, -no-pie
  - -noprebind
  - -noseglinkedit
  - -nostartfiles
  - -nostdinc, --no-standard-includes
  - -nostdlib, --no-standard-libraries
  - -nostdlibinc
  - -o<file>, --output <arg>, --output=<arg>
  - -objcmt-atomic-property
  - -objcmt-migrate-all
  - -objcmt-migrate-annotation
  - -objcmt-migrate-designated-init
  - -objcmt-migrate-instancetype
  - -objcmt-migrate-literals
  - -objcmt-migrate-ns-macros
  - -objcmt-migrate-property
  - -objcmt-migrate-property-dot-syntax
  - -objcmt-migrate-protocol-conformance
  - -objcmt-migrate-readonly-property
  - -objcmt-migrate-readwrite-property
  - -objcmt-migrate-subscripting
  - -objcmt-ns-nonatomic-iosonly
  - -objcmt-returns-innerpointer-property
  - -objcmt-whitelist-dir-path=<arg>, -objcmt-white-list-dir-path=<arg>
  - -object
  - -p, --profile
  - -pagezero_size<arg>
  - -pedantic, --pedantic, -no-pedantic, --no-pedantic
  - -pedantic-errors, --pedantic-errors
  - -pg
  - -pie
  - -pipe, --pipe
  - -prebind
  - -preload
  - -print-file-name=<file>, --print-file-name=<file>, --print-file-name <arg>
  - -print-ivar-layout
  - -print-libgcc-file-name, --print-libgcc-file-name
  - -print-multi-directory, --print-multi-directory
  - -print-multi-lib, --print-multi-lib
  - -print-prog-name=<name>, --print-prog-name=<name>, --print-prog-name <arg>
  - -print-resource-dir, --print-resource-dir
  - -print-search-dirs, --print-search-dirs
  - -private_bundle
  - -pthread, -no-pthread
  - -pthreads
  - -r
  - -rdynamic
  - -read_only_relocs <arg>
  - -relocatable-pch, --relocatable-pch
  - -remap
  - -rewrite-legacy-objc
  - -rewrite-objc
  - -rpath <arg>
  - -rtlib=<arg>, --rtlib=<arg>, --rtlib <arg>
  - -s
  - -save-stats=<arg>, --save-stats=<arg>, -save-stats (equivalent to -save-stats=cwd), --save-stats (equivalent to -save-stats=cwd), [1]
  - -save-temps=<arg>, --save-temps=<arg>, -save-temps (equivalent to -save-temps=cwd), --save-temps (equivalent to -save-temps=cwd), [1]
  - -sectalign <arg1> <arg2> <arg3>
  - -sectcreate <arg1> <arg2> <arg3>
  - -sectobjectsymbols <arg1> <arg2>
  - -sectorder <arg1> <arg2> <arg3>
  - -seg1addr<arg>
  - -seg_addr_table <arg>
  - -segaddr <arg1> <arg2>
  - -segcreate <arg1> <arg2> <arg3>
  - -seglinkedit
  - -segprot <arg1> <arg2> <arg3>
  - -segs_read_<arg>
  - -serialize-diagnostics <arg>, --serialize-diagnostics <arg>
  - -shared, --shared
  - -shared-libgcc
  - -shared-libsan, -shared-libasan
  - -single_module
  - -specs=<arg>, --specs=<arg>
  - -static, --static
  - -static-libgcc
  - -static-libgfortran
  - -static-libsan
  - -static-libstdc++
  - -std-default=<arg>
  - -std=<arg>, --std=<arg>, --std <arg>
  - -stdlib=<arg>, --stdlib=<arg>, --stdlib <arg>
  - -sub_library<arg>
  - -t
  - -time
  - -traditional, --traditional
  - -traditional-cpp, --traditional-cpp
  - -twolevel_namespace
  - -u<arg>, --force-link <arg>, --force-link=<arg>
  - -umbrella <arg>
  - -undef
  - -undefined<arg>, --no-undefined
  - -unexported_symbols_list <arg>
  - -v, --verbose
  - -verify-pch
  - -w, --no-warnings
  - -weak-l<arg>
  - -weak_framework <arg>
  - -whatsloaded
  - -whyload
  - -working-directory<arg>, -working-directory=<arg>
  - -x<language>, --language <arg>, --language=<arg>
  - -y<arg>
  - -z <arg>

- clang1 command line option
  - -ObjC++
  - -Xopenmp-target=<triple> <arg>
  - -Z
  - -arch_errors_fatal
  - -bundle_loader <arg>
  - -d<arg>
  - -dylinker_install_name<arg>
  - -falign-functions=<arg>
  - -faligned-allocation, -faligned-new, -fno-aligned-allocation
  - -fdiagnostics-color=<arg>
  - -flto=<arg>
  - -fopenmp=<arg>
  - -force_flat_namespace
  - -fpack-struct=<arg>
  - -fprofile-generate=<directory>
  - -fprofile-instr-generate=<file>
  - -fprofile-instr-use=<arg>
  - -fprofile-sample-use=<arg>, -fauto-profile=<arg>
  - -fprofile-use=<pathname>
  - -frewrite-map-file=<arg>
  - -fsanitize-memory-track-origins=<arg>
  - -fsanitize-recover=<arg1>,<arg2>..., -fno-sanitize-recover=<arg1>,<arg2>...
  - -ftrapv-handler=<function name>
  - -fxray-instruction-threshold=<arg>
  - -gz=<arg>
  - -lazy_library <arg>
  - -mhvx=<arg>
  - -mrecip=<arg1>,<arg2>...
  - -msse4.2, -mno-sse4.2, -msse4
  - -multiply_defined_unused <arg>
  - -nostdinc++
  - -nostdlib++
  - -prebind_all_twolevel_modules
  - -seg_addr_table_filename <arg>
  - -segs_read_only_addr <arg>
  - -sub_umbrella<arg>
  - -twolevel_namespace_hints
  - -weak_library <arg>
- clang2 command line option
  - -arch_only <arg>
  - -force_load <arg>
  - -segs_read_write_addr <arg>
  - -weak_reference_mismatches <arg>
- command line option
  - -###
  - --help
  - -D<macroname>=<value>
  - -E
  - -F<directory>
  - -I<directory>
  - -MV
  - -O0, -O1, -O2, -O3, -Ofast, -Os, -Oz, -Og, -O, -O4
  - -ObjC, -ObjC++
  - -Qunused-arguments
  - -S
  - -U<macroname>
  - -Wa,<args>
  - -Wambiguous-member-template
  - -Wbind-to-temporary-copy
  - -Wdocumentation
  - -Werror
  - -Weverything
  - -Wextra-tokens
  - -Wfoo
  - -Wl,<args>
  - -Wno-documentation-unknown-command
  - -Wno-error=foo
  - -Wno-foo
  - -Wp,<args>
  - -Wsystem-headers
  - -Xanalyzer <arg>
  - -Xassembler <arg>
  - -Xlinker <arg>
  - -Xpreprocessor <arg>
  - -ansi
  - -arch <architecture>
  - -c
  - -cl-ext
  - -f[no-]strict-float-cast-overflow
  - -faddrsig, -fno-addrsig
  - -fblocks
  - -fborland-extensions
  - -fbracket-depth=N
  - -fcomment-block-commands=[commands]
  - -fcommon, -fno-common
  - -fconstexpr-depth=N
  - -fconstexpr-steps=N
  - -fdebug-macro
  - -fdenormal-fp-math=[values]
  - -fdiagnostics-format=clang/msvc/vi
  - -fdiagnostics-parseable-fixits
  - -fdiagnostics-show-category=none/id/name
  - -fdiagnostics-show-template-tree
  - -fdiscard-value-names
  - -femulated-tls
  - -ferror-limit=123
  - -fexceptions
  - -ffake-address-space-map
  - -ffast-math
  - -fforce-emit-vtables
  - -ffreestanding
  - -finclude-default-header
  - -flax-vector-conversions
  - -flto, -flto=full, -flto=thin, -emit-llvm, [1], [2]
  - -fmath-errno
  - -fms-extensions
  - -fmsc-version=
  - -fno-assume-sane-operator-new
  - -fno-builtin
  - -fno-crash-diagnostics
  - -fno-debug-macro
  - -fno-discard-value-names
  - -fno-elide-type
  - -fno-sanitize-blacklist
  - -fno-standalone-debug
  - -fobjc-abi-version=version
  - -fobjc-nonfragile-abi, -fno-objc-nonfragile-abi
  - -fobjc-nonfragile-abi-version=<version>
  - -fopenmp-use-tls
  - -foperator-arrow-depth=N
  - -fparse-all-comments
  - -fpascal-strings
  - -fprofile-generate[=<dirname>]
  - -fprofile-use[=<pathname>]
  - -fsanitize-blacklist=/path/to/blacklist/file
  - -fsanitize-cfi-cross-dso
  - -fsanitize-cfi-icall-generalize-pointers
  - -fsanitize-undefined-trap-on-error
  - -fshow-column, -fshow-source-location, -fcaret-diagnostics, -fdiagnostics-fixit-info, -fdiagnostics-parseable-fixits, -fdiagnostics-print-source-range-info, -fprint-source-range-info, -fdiagnostics-show-option, -fmessage-length
  - -fstandalone-debug
  - -fstandalone-debug -fno-standalone-debug
  - -fstrict-vtable-pointers
  - -fsyntax-only
  - -ftemplate-backtrace-limit=123
  - -ftemplate-depth=N
  - -ftime-report
  - -ftls-model=<model>
  - -ftls-model=[model]
  - -ftrap-function=[name]
  - -ftrapv
  - -fvisibility
  - -fwhole-program-vtables
  - -fwritable-strings
  - -g
  - -g, -gline-tables-only, -gmodules
  - -g0
  - -gen-reproducer
  - -ggdb, -glldb, -gsce
  - -gline-tables-only
  - -include <filename>
  - -integrated-as, -no-integrated-as
  - -m[no-]crc
  - -march=<cpu>
  - -mcompact-branches=[values]
  - -mgeneral-regs-only
  - -mhwdiv=[values]
  - -miphoneos-version-min
  - -mmacosx-version-min=<version>
  - -nobuiltininc
  - -nostdinc
  - -nostdlibinc
  - -o <file>
  - -pedantic
  - -pedantic-errors
  - -print-file-name=<file>
  - -print-libgcc-file-name
  - -print-prog-name=<name>
  - -print-search-dirs
  - -rtlib=<library>
  - -save-stats, -save-stats=cwd, -save-stats=obj, [1], [2]
  - -save-temps
  - -std=<standard>
  - -stdlib=<library>
  - -time
  - -trigraphs
  - -v
  - -w
  - -x <language>
  - no stage selection option
- CPATH

## E

- environment variable
  - CPATH, [1]
  - C_INCLUDE_PATH,OBJC_INCLUDE_PATH,CPLUS_INCLUDE_PATH,OBJCPLUS_INCLUDE_PATH
  - MACOSX_DEPLOYMENT_TARGET
  - TMPDIR,TEMP,TMP

## N

- no stage selection option
  - command line option